{**********************************************************************
                Copyright (c) PilotLogic Software House

 Package pl_OpenGLES
 This file is part of CodeTyphon Studio (https://www.pilotlogic.com/)
***********************************************************************}
{OpenGLES1 Report Utils
 This file Generated from the Khronos OpenGL and EGL API Registry
 at 28/9/2020 21:41:06
}

unit ctGLES1_rpt;

{$MODE OBJFPC}{$H+}

interface
uses
   Classes, SysUtils,
   ctGLES1;

function OpenGLES_WriteCommandsReport(aOutStrings:TStrings; const atype:integer=0): Boolean;
function OpenGLES_WriteExtensionsReport(aOutStrings:TStrings; const atype:integer=0): Boolean;
 
implementation
 
function OpenGLES_WriteCommandsReport(aOutStrings:TStrings; const atype:integer=0): Boolean;
//................................................
procedure _writetostrings(const isok:boolean;const astr:string);
begin
  case atype of
   -1:begin // -1 Gives only the name of Commands, NOT and the status
      aOutStrings.add(astr);
      exit;
   end;
   0:begin
      if isok then
       aOutStrings.add(astr+'  (=OK)') else
       aOutStrings.add(astr+'  (=NIL) ???');
      exit;
   end;
  1: begin
     if isok=false then
       aOutStrings.add(astr+'  (=NIL) ???');
     exit;
   end;

   2:begin
     if isok=True then
       aOutStrings.add(astr+'  (=OK)');
     exit;
     end;

  end;
end;
//.................................................
 begin
   Result:=OpenGLESLib_InitOK;
   if Result=false then exit;
   if aOutStrings=nil then exit;

   aOutStrings.BeginUpdate;
 
//===================== Commands =======================================
 
 
//------- GL_VERSION_ES_CM_1_0----------------
   if glAlphaFunc=nil then _writetostrings(false,'glAlphaFunc') else _writetostrings(true,'glAlphaFunc');
   if glClearColor=nil then _writetostrings(false,'glClearColor') else _writetostrings(true,'glClearColor');
   if glClearDepthf=nil then _writetostrings(false,'glClearDepthf') else _writetostrings(true,'glClearDepthf');
   if glClipPlanef=nil then _writetostrings(false,'glClipPlanef') else _writetostrings(true,'glClipPlanef');
   if glColor4f=nil then _writetostrings(false,'glColor4f') else _writetostrings(true,'glColor4f');
   if glDepthRangef=nil then _writetostrings(false,'glDepthRangef') else _writetostrings(true,'glDepthRangef');
   if glFogf=nil then _writetostrings(false,'glFogf') else _writetostrings(true,'glFogf');
   if glFogfv=nil then _writetostrings(false,'glFogfv') else _writetostrings(true,'glFogfv');
   if glFrustumf=nil then _writetostrings(false,'glFrustumf') else _writetostrings(true,'glFrustumf');
   if glGetClipPlanef=nil then _writetostrings(false,'glGetClipPlanef') else _writetostrings(true,'glGetClipPlanef');
   if glGetFloatv=nil then _writetostrings(false,'glGetFloatv') else _writetostrings(true,'glGetFloatv');
   if glGetLightfv=nil then _writetostrings(false,'glGetLightfv') else _writetostrings(true,'glGetLightfv');
   if glGetMaterialfv=nil then _writetostrings(false,'glGetMaterialfv') else _writetostrings(true,'glGetMaterialfv');
   if glGetTexEnvfv=nil then _writetostrings(false,'glGetTexEnvfv') else _writetostrings(true,'glGetTexEnvfv');
   if glGetTexParameterfv=nil then _writetostrings(false,'glGetTexParameterfv') else _writetostrings(true,'glGetTexParameterfv');
   if glLightModelf=nil then _writetostrings(false,'glLightModelf') else _writetostrings(true,'glLightModelf');
   if glLightModelfv=nil then _writetostrings(false,'glLightModelfv') else _writetostrings(true,'glLightModelfv');
   if glLightf=nil then _writetostrings(false,'glLightf') else _writetostrings(true,'glLightf');
   if glLightfv=nil then _writetostrings(false,'glLightfv') else _writetostrings(true,'glLightfv');
   if glLineWidth=nil then _writetostrings(false,'glLineWidth') else _writetostrings(true,'glLineWidth');
   if glLoadMatrixf=nil then _writetostrings(false,'glLoadMatrixf') else _writetostrings(true,'glLoadMatrixf');
   if glMaterialf=nil then _writetostrings(false,'glMaterialf') else _writetostrings(true,'glMaterialf');
   if glMaterialfv=nil then _writetostrings(false,'glMaterialfv') else _writetostrings(true,'glMaterialfv');
   if glMultMatrixf=nil then _writetostrings(false,'glMultMatrixf') else _writetostrings(true,'glMultMatrixf');
   if glMultiTexCoord4f=nil then _writetostrings(false,'glMultiTexCoord4f') else _writetostrings(true,'glMultiTexCoord4f');
   if glNormal3f=nil then _writetostrings(false,'glNormal3f') else _writetostrings(true,'glNormal3f');
   if glOrthof=nil then _writetostrings(false,'glOrthof') else _writetostrings(true,'glOrthof');
   if glPointParameterf=nil then _writetostrings(false,'glPointParameterf') else _writetostrings(true,'glPointParameterf');
   if glPointParameterfv=nil then _writetostrings(false,'glPointParameterfv') else _writetostrings(true,'glPointParameterfv');
   if glPointSize=nil then _writetostrings(false,'glPointSize') else _writetostrings(true,'glPointSize');
   if glPolygonOffset=nil then _writetostrings(false,'glPolygonOffset') else _writetostrings(true,'glPolygonOffset');
   if glRotatef=nil then _writetostrings(false,'glRotatef') else _writetostrings(true,'glRotatef');
   if glScalef=nil then _writetostrings(false,'glScalef') else _writetostrings(true,'glScalef');
   if glTexEnvf=nil then _writetostrings(false,'glTexEnvf') else _writetostrings(true,'glTexEnvf');
   if glTexEnvfv=nil then _writetostrings(false,'glTexEnvfv') else _writetostrings(true,'glTexEnvfv');
   if glTexParameterf=nil then _writetostrings(false,'glTexParameterf') else _writetostrings(true,'glTexParameterf');
   if glTexParameterfv=nil then _writetostrings(false,'glTexParameterfv') else _writetostrings(true,'glTexParameterfv');
   if glTranslatef=nil then _writetostrings(false,'glTranslatef') else _writetostrings(true,'glTranslatef');
   if glActiveTexture=nil then _writetostrings(false,'glActiveTexture') else _writetostrings(true,'glActiveTexture');
   if glAlphaFuncx=nil then _writetostrings(false,'glAlphaFuncx') else _writetostrings(true,'glAlphaFuncx');
   if glBindBuffer=nil then _writetostrings(false,'glBindBuffer') else _writetostrings(true,'glBindBuffer');
   if glBindTexture=nil then _writetostrings(false,'glBindTexture') else _writetostrings(true,'glBindTexture');
   if glBlendFunc=nil then _writetostrings(false,'glBlendFunc') else _writetostrings(true,'glBlendFunc');
   if glBufferData=nil then _writetostrings(false,'glBufferData') else _writetostrings(true,'glBufferData');
   if glBufferSubData=nil then _writetostrings(false,'glBufferSubData') else _writetostrings(true,'glBufferSubData');
   if glClear=nil then _writetostrings(false,'glClear') else _writetostrings(true,'glClear');
   if glClearColorx=nil then _writetostrings(false,'glClearColorx') else _writetostrings(true,'glClearColorx');
   if glClearDepthx=nil then _writetostrings(false,'glClearDepthx') else _writetostrings(true,'glClearDepthx');
   if glClearStencil=nil then _writetostrings(false,'glClearStencil') else _writetostrings(true,'glClearStencil');
   if glClientActiveTexture=nil then _writetostrings(false,'glClientActiveTexture') else _writetostrings(true,'glClientActiveTexture');
   if glClipPlanex=nil then _writetostrings(false,'glClipPlanex') else _writetostrings(true,'glClipPlanex');
   if glColor4ub=nil then _writetostrings(false,'glColor4ub') else _writetostrings(true,'glColor4ub');
   if glColor4x=nil then _writetostrings(false,'glColor4x') else _writetostrings(true,'glColor4x');
   if glColorMask=nil then _writetostrings(false,'glColorMask') else _writetostrings(true,'glColorMask');
   if glColorPointer=nil then _writetostrings(false,'glColorPointer') else _writetostrings(true,'glColorPointer');
   if glCompressedTexImage2D=nil then _writetostrings(false,'glCompressedTexImage2D') else _writetostrings(true,'glCompressedTexImage2D');
   if glCompressedTexSubImage2D=nil then _writetostrings(false,'glCompressedTexSubImage2D') else _writetostrings(true,'glCompressedTexSubImage2D');
   if glCopyTexImage2D=nil then _writetostrings(false,'glCopyTexImage2D') else _writetostrings(true,'glCopyTexImage2D');
   if glCopyTexSubImage2D=nil then _writetostrings(false,'glCopyTexSubImage2D') else _writetostrings(true,'glCopyTexSubImage2D');
   if glCullFace=nil then _writetostrings(false,'glCullFace') else _writetostrings(true,'glCullFace');
   if glDeleteBuffers=nil then _writetostrings(false,'glDeleteBuffers') else _writetostrings(true,'glDeleteBuffers');
   if glDeleteTextures=nil then _writetostrings(false,'glDeleteTextures') else _writetostrings(true,'glDeleteTextures');
   if glDepthFunc=nil then _writetostrings(false,'glDepthFunc') else _writetostrings(true,'glDepthFunc');
   if glDepthMask=nil then _writetostrings(false,'glDepthMask') else _writetostrings(true,'glDepthMask');
   if glDepthRangex=nil then _writetostrings(false,'glDepthRangex') else _writetostrings(true,'glDepthRangex');
   if glDisable=nil then _writetostrings(false,'glDisable') else _writetostrings(true,'glDisable');
   if glDisableClientState=nil then _writetostrings(false,'glDisableClientState') else _writetostrings(true,'glDisableClientState');
   if glDrawArrays=nil then _writetostrings(false,'glDrawArrays') else _writetostrings(true,'glDrawArrays');
   if glDrawElements=nil then _writetostrings(false,'glDrawElements') else _writetostrings(true,'glDrawElements');
   if glEnable=nil then _writetostrings(false,'glEnable') else _writetostrings(true,'glEnable');
   if glEnableClientState=nil then _writetostrings(false,'glEnableClientState') else _writetostrings(true,'glEnableClientState');
   if glFinish=nil then _writetostrings(false,'glFinish') else _writetostrings(true,'glFinish');
   if glFlush=nil then _writetostrings(false,'glFlush') else _writetostrings(true,'glFlush');
   if glFogx=nil then _writetostrings(false,'glFogx') else _writetostrings(true,'glFogx');
   if glFogxv=nil then _writetostrings(false,'glFogxv') else _writetostrings(true,'glFogxv');
   if glFrontFace=nil then _writetostrings(false,'glFrontFace') else _writetostrings(true,'glFrontFace');
   if glFrustumx=nil then _writetostrings(false,'glFrustumx') else _writetostrings(true,'glFrustumx');
   if glGetBooleanv=nil then _writetostrings(false,'glGetBooleanv') else _writetostrings(true,'glGetBooleanv');
   if glGetBufferParameteriv=nil then _writetostrings(false,'glGetBufferParameteriv') else _writetostrings(true,'glGetBufferParameteriv');
   if glGetClipPlanex=nil then _writetostrings(false,'glGetClipPlanex') else _writetostrings(true,'glGetClipPlanex');
   if glGenBuffers=nil then _writetostrings(false,'glGenBuffers') else _writetostrings(true,'glGenBuffers');
   if glGenTextures=nil then _writetostrings(false,'glGenTextures') else _writetostrings(true,'glGenTextures');
   if glGetError=nil then _writetostrings(false,'glGetError') else _writetostrings(true,'glGetError');
   if glGetFixedv=nil then _writetostrings(false,'glGetFixedv') else _writetostrings(true,'glGetFixedv');
   if glGetIntegerv=nil then _writetostrings(false,'glGetIntegerv') else _writetostrings(true,'glGetIntegerv');
   if glGetLightxv=nil then _writetostrings(false,'glGetLightxv') else _writetostrings(true,'glGetLightxv');
   if glGetMaterialxv=nil then _writetostrings(false,'glGetMaterialxv') else _writetostrings(true,'glGetMaterialxv');
   if glGetPointerv=nil then _writetostrings(false,'glGetPointerv') else _writetostrings(true,'glGetPointerv');
   if glGetString=nil then _writetostrings(false,'glGetString') else _writetostrings(true,'glGetString');
   if glGetTexEnviv=nil then _writetostrings(false,'glGetTexEnviv') else _writetostrings(true,'glGetTexEnviv');
   if glGetTexEnvxv=nil then _writetostrings(false,'glGetTexEnvxv') else _writetostrings(true,'glGetTexEnvxv');
   if glGetTexParameteriv=nil then _writetostrings(false,'glGetTexParameteriv') else _writetostrings(true,'glGetTexParameteriv');
   if glGetTexParameterxv=nil then _writetostrings(false,'glGetTexParameterxv') else _writetostrings(true,'glGetTexParameterxv');
   if glHint=nil then _writetostrings(false,'glHint') else _writetostrings(true,'glHint');
   if glIsBuffer=nil then _writetostrings(false,'glIsBuffer') else _writetostrings(true,'glIsBuffer');
   if glIsEnabled=nil then _writetostrings(false,'glIsEnabled') else _writetostrings(true,'glIsEnabled');
   if glIsTexture=nil then _writetostrings(false,'glIsTexture') else _writetostrings(true,'glIsTexture');
   if glLightModelx=nil then _writetostrings(false,'glLightModelx') else _writetostrings(true,'glLightModelx');
   if glLightModelxv=nil then _writetostrings(false,'glLightModelxv') else _writetostrings(true,'glLightModelxv');
   if glLightx=nil then _writetostrings(false,'glLightx') else _writetostrings(true,'glLightx');
   if glLightxv=nil then _writetostrings(false,'glLightxv') else _writetostrings(true,'glLightxv');
   if glLineWidthx=nil then _writetostrings(false,'glLineWidthx') else _writetostrings(true,'glLineWidthx');
   if glLoadIdentity=nil then _writetostrings(false,'glLoadIdentity') else _writetostrings(true,'glLoadIdentity');
   if glLoadMatrixx=nil then _writetostrings(false,'glLoadMatrixx') else _writetostrings(true,'glLoadMatrixx');
   if glLogicOp=nil then _writetostrings(false,'glLogicOp') else _writetostrings(true,'glLogicOp');
   if glMaterialx=nil then _writetostrings(false,'glMaterialx') else _writetostrings(true,'glMaterialx');
   if glMaterialxv=nil then _writetostrings(false,'glMaterialxv') else _writetostrings(true,'glMaterialxv');
   if glMatrixMode=nil then _writetostrings(false,'glMatrixMode') else _writetostrings(true,'glMatrixMode');
   if glMultMatrixx=nil then _writetostrings(false,'glMultMatrixx') else _writetostrings(true,'glMultMatrixx');
   if glMultiTexCoord4x=nil then _writetostrings(false,'glMultiTexCoord4x') else _writetostrings(true,'glMultiTexCoord4x');
   if glNormal3x=nil then _writetostrings(false,'glNormal3x') else _writetostrings(true,'glNormal3x');
   if glNormalPointer=nil then _writetostrings(false,'glNormalPointer') else _writetostrings(true,'glNormalPointer');
   if glOrthox=nil then _writetostrings(false,'glOrthox') else _writetostrings(true,'glOrthox');
   if glPixelStorei=nil then _writetostrings(false,'glPixelStorei') else _writetostrings(true,'glPixelStorei');
   if glPointParameterx=nil then _writetostrings(false,'glPointParameterx') else _writetostrings(true,'glPointParameterx');
   if glPointParameterxv=nil then _writetostrings(false,'glPointParameterxv') else _writetostrings(true,'glPointParameterxv');
   if glPointSizex=nil then _writetostrings(false,'glPointSizex') else _writetostrings(true,'glPointSizex');
   if glPolygonOffsetx=nil then _writetostrings(false,'glPolygonOffsetx') else _writetostrings(true,'glPolygonOffsetx');
   if glPopMatrix=nil then _writetostrings(false,'glPopMatrix') else _writetostrings(true,'glPopMatrix');
   if glPushMatrix=nil then _writetostrings(false,'glPushMatrix') else _writetostrings(true,'glPushMatrix');
   if glReadPixels=nil then _writetostrings(false,'glReadPixels') else _writetostrings(true,'glReadPixels');
   if glRotatex=nil then _writetostrings(false,'glRotatex') else _writetostrings(true,'glRotatex');
   if glSampleCoverage=nil then _writetostrings(false,'glSampleCoverage') else _writetostrings(true,'glSampleCoverage');
   if glSampleCoveragex=nil then _writetostrings(false,'glSampleCoveragex') else _writetostrings(true,'glSampleCoveragex');
   if glScalex=nil then _writetostrings(false,'glScalex') else _writetostrings(true,'glScalex');
   if glScissor=nil then _writetostrings(false,'glScissor') else _writetostrings(true,'glScissor');
   if glShadeModel=nil then _writetostrings(false,'glShadeModel') else _writetostrings(true,'glShadeModel');
   if glStencilFunc=nil then _writetostrings(false,'glStencilFunc') else _writetostrings(true,'glStencilFunc');
   if glStencilMask=nil then _writetostrings(false,'glStencilMask') else _writetostrings(true,'glStencilMask');
   if glStencilOp=nil then _writetostrings(false,'glStencilOp') else _writetostrings(true,'glStencilOp');
   if glTexCoordPointer=nil then _writetostrings(false,'glTexCoordPointer') else _writetostrings(true,'glTexCoordPointer');
   if glTexEnvi=nil then _writetostrings(false,'glTexEnvi') else _writetostrings(true,'glTexEnvi');
   if glTexEnvx=nil then _writetostrings(false,'glTexEnvx') else _writetostrings(true,'glTexEnvx');
   if glTexEnviv=nil then _writetostrings(false,'glTexEnviv') else _writetostrings(true,'glTexEnviv');
   if glTexEnvxv=nil then _writetostrings(false,'glTexEnvxv') else _writetostrings(true,'glTexEnvxv');
   if glTexImage2D=nil then _writetostrings(false,'glTexImage2D') else _writetostrings(true,'glTexImage2D');
   if glTexParameteri=nil then _writetostrings(false,'glTexParameteri') else _writetostrings(true,'glTexParameteri');
   if glTexParameterx=nil then _writetostrings(false,'glTexParameterx') else _writetostrings(true,'glTexParameterx');
   if glTexParameteriv=nil then _writetostrings(false,'glTexParameteriv') else _writetostrings(true,'glTexParameteriv');
   if glTexParameterxv=nil then _writetostrings(false,'glTexParameterxv') else _writetostrings(true,'glTexParameterxv');
   if glTexSubImage2D=nil then _writetostrings(false,'glTexSubImage2D') else _writetostrings(true,'glTexSubImage2D');
   if glTranslatex=nil then _writetostrings(false,'glTranslatex') else _writetostrings(true,'glTranslatex');
   if glVertexPointer=nil then _writetostrings(false,'glVertexPointer') else _writetostrings(true,'glVertexPointer');
   if glViewport=nil then _writetostrings(false,'glViewport') else _writetostrings(true,'glViewport');
 
//------- Other ----------------
   if glAccumxOES=nil then _writetostrings(false,'glAccumxOES') else _writetostrings(true,'glAccumxOES');
   if glAlphaFuncxOES=nil then _writetostrings(false,'glAlphaFuncxOES') else _writetostrings(true,'glAlphaFuncxOES');
   if glArrayElement=nil then _writetostrings(false,'glArrayElement') else _writetostrings(true,'glArrayElement');
   if glAttachShader=nil then _writetostrings(false,'glAttachShader') else _writetostrings(true,'glAttachShader');
   if glBeginConditionalRender=nil then _writetostrings(false,'glBeginConditionalRender') else _writetostrings(true,'glBeginConditionalRender');
   if glBeginQuery=nil then _writetostrings(false,'glBeginQuery') else _writetostrings(true,'glBeginQuery');
   if glBeginTransformFeedback=nil then _writetostrings(false,'glBeginTransformFeedback') else _writetostrings(true,'glBeginTransformFeedback');
   if glBindAttribLocation=nil then _writetostrings(false,'glBindAttribLocation') else _writetostrings(true,'glBindAttribLocation');
   if glBindBufferBase=nil then _writetostrings(false,'glBindBufferBase') else _writetostrings(true,'glBindBufferBase');
   if glBindBufferOffsetEXT=nil then _writetostrings(false,'glBindBufferOffsetEXT') else _writetostrings(true,'glBindBufferOffsetEXT');
   if glBindBufferRange=nil then _writetostrings(false,'glBindBufferRange') else _writetostrings(true,'glBindBufferRange');
   if glBindFragDataLocation=nil then _writetostrings(false,'glBindFragDataLocation') else _writetostrings(true,'glBindFragDataLocation');
   if glBindFragDataLocationIndexed=nil then _writetostrings(false,'glBindFragDataLocationIndexed') else _writetostrings(true,'glBindFragDataLocationIndexed');
   if glBindFramebufferOES=nil then _writetostrings(false,'glBindFramebufferOES') else _writetostrings(true,'glBindFramebufferOES');
   if glBindProgramARB=nil then _writetostrings(false,'glBindProgramARB') else _writetostrings(true,'glBindProgramARB');
   if glBindRenderbufferOES=nil then _writetostrings(false,'glBindRenderbufferOES') else _writetostrings(true,'glBindRenderbufferOES');
   if glBindVertexArray=nil then _writetostrings(false,'glBindVertexArray') else _writetostrings(true,'glBindVertexArray');
   if glBindVertexArrayOES=nil then _writetostrings(false,'glBindVertexArrayOES') else _writetostrings(true,'glBindVertexArrayOES');
   if glBitmapxOES=nil then _writetostrings(false,'glBitmapxOES') else _writetostrings(true,'glBitmapxOES');
   if glBlendBarrier=nil then _writetostrings(false,'glBlendBarrier') else _writetostrings(true,'glBlendBarrier');
   if glBlendColor=nil then _writetostrings(false,'glBlendColor') else _writetostrings(true,'glBlendColor');
   if glBlendColorxOES=nil then _writetostrings(false,'glBlendColorxOES') else _writetostrings(true,'glBlendColorxOES');
   if glBlendEquation=nil then _writetostrings(false,'glBlendEquation') else _writetostrings(true,'glBlendEquation');
   if glBlendEquationEXT=nil then _writetostrings(false,'glBlendEquationEXT') else _writetostrings(true,'glBlendEquationEXT');
   if glBlendEquationOES=nil then _writetostrings(false,'glBlendEquationOES') else _writetostrings(true,'glBlendEquationOES');
   if glBlendEquationSeparate=nil then _writetostrings(false,'glBlendEquationSeparate') else _writetostrings(true,'glBlendEquationSeparate');
   if glBlendEquationSeparateOES=nil then _writetostrings(false,'glBlendEquationSeparateOES') else _writetostrings(true,'glBlendEquationSeparateOES');
   if glBlendEquationSeparatei=nil then _writetostrings(false,'glBlendEquationSeparatei') else _writetostrings(true,'glBlendEquationSeparatei');
   if glBlendEquationi=nil then _writetostrings(false,'glBlendEquationi') else _writetostrings(true,'glBlendEquationi');
   if glBlendFuncSeparate=nil then _writetostrings(false,'glBlendFuncSeparate') else _writetostrings(true,'glBlendFuncSeparate');
   if glBlendFuncSeparateOES=nil then _writetostrings(false,'glBlendFuncSeparateOES') else _writetostrings(true,'glBlendFuncSeparateOES');
   if glBlendFuncSeparatei=nil then _writetostrings(false,'glBlendFuncSeparatei') else _writetostrings(true,'glBlendFuncSeparatei');
   if glBlendFunci=nil then _writetostrings(false,'glBlendFunci') else _writetostrings(true,'glBlendFunci');
   if glBlitFramebuffer=nil then _writetostrings(false,'glBlitFramebuffer') else _writetostrings(true,'glBlitFramebuffer');
   if glBufferStorage=nil then _writetostrings(false,'glBufferStorage') else _writetostrings(true,'glBufferStorage');
   if glCheckFramebufferStatus=nil then _writetostrings(false,'glCheckFramebufferStatus') else _writetostrings(true,'glCheckFramebufferStatus');
   if glCheckFramebufferStatusOES=nil then _writetostrings(false,'glCheckFramebufferStatusOES') else _writetostrings(true,'glCheckFramebufferStatusOES');
   if glClampColor=nil then _writetostrings(false,'glClampColor') else _writetostrings(true,'glClampColor');
   if glClearAccumxOES=nil then _writetostrings(false,'glClearAccumxOES') else _writetostrings(true,'glClearAccumxOES');
   if glClearColorxOES=nil then _writetostrings(false,'glClearColorxOES') else _writetostrings(true,'glClearColorxOES');
   if glClearDepthfOES=nil then _writetostrings(false,'glClearDepthfOES') else _writetostrings(true,'glClearDepthfOES');
   if glClearDepthxOES=nil then _writetostrings(false,'glClearDepthxOES') else _writetostrings(true,'glClearDepthxOES');
   if glClearTexImage=nil then _writetostrings(false,'glClearTexImage') else _writetostrings(true,'glClearTexImage');
   if glClearTexSubImage=nil then _writetostrings(false,'glClearTexSubImage') else _writetostrings(true,'glClearTexSubImage');
   if glClientWaitSync=nil then _writetostrings(false,'glClientWaitSync') else _writetostrings(true,'glClientWaitSync');
   if glClientWaitSyncAPPLE=nil then _writetostrings(false,'glClientWaitSyncAPPLE') else _writetostrings(true,'glClientWaitSyncAPPLE');
   if glClipControl=nil then _writetostrings(false,'glClipControl') else _writetostrings(true,'glClipControl');
   if glClipPlanefIMG=nil then _writetostrings(false,'glClipPlanefIMG') else _writetostrings(true,'glClipPlanefIMG');
   if glClipPlanefOES=nil then _writetostrings(false,'glClipPlanefOES') else _writetostrings(true,'glClipPlanefOES');
   if glClipPlanexIMG=nil then _writetostrings(false,'glClipPlanexIMG') else _writetostrings(true,'glClipPlanexIMG');
   if glClipPlanexOES=nil then _writetostrings(false,'glClipPlanexOES') else _writetostrings(true,'glClipPlanexOES');
   if glColor3xOES=nil then _writetostrings(false,'glColor3xOES') else _writetostrings(true,'glColor3xOES');
   if glColor3xvOES=nil then _writetostrings(false,'glColor3xvOES') else _writetostrings(true,'glColor3xvOES');
   if glColor4xOES=nil then _writetostrings(false,'glColor4xOES') else _writetostrings(true,'glColor4xOES');
   if glColor4xvOES=nil then _writetostrings(false,'glColor4xvOES') else _writetostrings(true,'glColor4xvOES');
   if glColorMaski=nil then _writetostrings(false,'glColorMaski') else _writetostrings(true,'glColorMaski');
   if glColorSubTable=nil then _writetostrings(false,'glColorSubTable') else _writetostrings(true,'glColorSubTable');
   if glColorTable=nil then _writetostrings(false,'glColorTable') else _writetostrings(true,'glColorTable');
   if glColorTableParameterfv=nil then _writetostrings(false,'glColorTableParameterfv') else _writetostrings(true,'glColorTableParameterfv');
   if glColorTableParameteriv=nil then _writetostrings(false,'glColorTableParameteriv') else _writetostrings(true,'glColorTableParameteriv');
   if glCompileShader=nil then _writetostrings(false,'glCompileShader') else _writetostrings(true,'glCompileShader');
   if glCompressedTexImage1D=nil then _writetostrings(false,'glCompressedTexImage1D') else _writetostrings(true,'glCompressedTexImage1D');
   if glCompressedTexImage3D=nil then _writetostrings(false,'glCompressedTexImage3D') else _writetostrings(true,'glCompressedTexImage3D');
   if glCompressedTexSubImage1D=nil then _writetostrings(false,'glCompressedTexSubImage1D') else _writetostrings(true,'glCompressedTexSubImage1D');
   if glCompressedTexSubImage3D=nil then _writetostrings(false,'glCompressedTexSubImage3D') else _writetostrings(true,'glCompressedTexSubImage3D');
   if glConvolutionFilter1D=nil then _writetostrings(false,'glConvolutionFilter1D') else _writetostrings(true,'glConvolutionFilter1D');
   if glConvolutionFilter2D=nil then _writetostrings(false,'glConvolutionFilter2D') else _writetostrings(true,'glConvolutionFilter2D');
   if glConvolutionParameterf=nil then _writetostrings(false,'glConvolutionParameterf') else _writetostrings(true,'glConvolutionParameterf');
   if glConvolutionParameterfv=nil then _writetostrings(false,'glConvolutionParameterfv') else _writetostrings(true,'glConvolutionParameterfv');
   if glConvolutionParameteri=nil then _writetostrings(false,'glConvolutionParameteri') else _writetostrings(true,'glConvolutionParameteri');
   if glConvolutionParameteriv=nil then _writetostrings(false,'glConvolutionParameteriv') else _writetostrings(true,'glConvolutionParameteriv');
   if glConvolutionParameterxOES=nil then _writetostrings(false,'glConvolutionParameterxOES') else _writetostrings(true,'glConvolutionParameterxOES');
   if glConvolutionParameterxvOES=nil then _writetostrings(false,'glConvolutionParameterxvOES') else _writetostrings(true,'glConvolutionParameterxvOES');
   if glCopyBufferSubData=nil then _writetostrings(false,'glCopyBufferSubData') else _writetostrings(true,'glCopyBufferSubData');
   if glCopyColorSubTable=nil then _writetostrings(false,'glCopyColorSubTable') else _writetostrings(true,'glCopyColorSubTable');
   if glCopyColorTable=nil then _writetostrings(false,'glCopyColorTable') else _writetostrings(true,'glCopyColorTable');
   if glCopyConvolutionFilter1D=nil then _writetostrings(false,'glCopyConvolutionFilter1D') else _writetostrings(true,'glCopyConvolutionFilter1D');
   if glCopyConvolutionFilter2D=nil then _writetostrings(false,'glCopyConvolutionFilter2D') else _writetostrings(true,'glCopyConvolutionFilter2D');
   if glCopyImageSubData=nil then _writetostrings(false,'glCopyImageSubData') else _writetostrings(true,'glCopyImageSubData');
   if glCopyTexImage1D=nil then _writetostrings(false,'glCopyTexImage1D') else _writetostrings(true,'glCopyTexImage1D');
   if glCopyTexSubImage1D=nil then _writetostrings(false,'glCopyTexSubImage1D') else _writetostrings(true,'glCopyTexSubImage1D');
   if glCopyTexSubImage3D=nil then _writetostrings(false,'glCopyTexSubImage3D') else _writetostrings(true,'glCopyTexSubImage3D');
   if glCopyTextureLevelsAPPLE=nil then _writetostrings(false,'glCopyTextureLevelsAPPLE') else _writetostrings(true,'glCopyTextureLevelsAPPLE');
   if glCreateProgram=nil then _writetostrings(false,'glCreateProgram') else _writetostrings(true,'glCreateProgram');
   if glCreateShader=nil then _writetostrings(false,'glCreateShader') else _writetostrings(true,'glCreateShader');
   if glCurrentPaletteMatrixOES=nil then _writetostrings(false,'glCurrentPaletteMatrixOES') else _writetostrings(true,'glCurrentPaletteMatrixOES');
   if glDebugMessageCallback=nil then _writetostrings(false,'glDebugMessageCallback') else _writetostrings(true,'glDebugMessageCallback');
   if glDebugMessageCallbackKHR=nil then _writetostrings(false,'glDebugMessageCallbackKHR') else _writetostrings(true,'glDebugMessageCallbackKHR');
   if glDebugMessageControl=nil then _writetostrings(false,'glDebugMessageControl') else _writetostrings(true,'glDebugMessageControl');
   if glDebugMessageControlKHR=nil then _writetostrings(false,'glDebugMessageControlKHR') else _writetostrings(true,'glDebugMessageControlKHR');
   if glDebugMessageInsert=nil then _writetostrings(false,'glDebugMessageInsert') else _writetostrings(true,'glDebugMessageInsert');
   if glDebugMessageInsertKHR=nil then _writetostrings(false,'glDebugMessageInsertKHR') else _writetostrings(true,'glDebugMessageInsertKHR');
   if glDeleteFencesNV=nil then _writetostrings(false,'glDeleteFencesNV') else _writetostrings(true,'glDeleteFencesNV');
   if glDeleteFramebuffers=nil then _writetostrings(false,'glDeleteFramebuffers') else _writetostrings(true,'glDeleteFramebuffers');
   if glDeleteFramebuffersOES=nil then _writetostrings(false,'glDeleteFramebuffersOES') else _writetostrings(true,'glDeleteFramebuffersOES');
   if glDeleteProgramsARB=nil then _writetostrings(false,'glDeleteProgramsARB') else _writetostrings(true,'glDeleteProgramsARB');
   if glDeleteQueries=nil then _writetostrings(false,'glDeleteQueries') else _writetostrings(true,'glDeleteQueries');
   if glDeleteRenderbuffers=nil then _writetostrings(false,'glDeleteRenderbuffers') else _writetostrings(true,'glDeleteRenderbuffers');
   if glDeleteRenderbuffersOES=nil then _writetostrings(false,'glDeleteRenderbuffersOES') else _writetostrings(true,'glDeleteRenderbuffersOES');
   if glDeleteSync=nil then _writetostrings(false,'glDeleteSync') else _writetostrings(true,'glDeleteSync');
   if glDeleteSyncAPPLE=nil then _writetostrings(false,'glDeleteSyncAPPLE') else _writetostrings(true,'glDeleteSyncAPPLE');
   if glDeleteTransformFeedbacks=nil then _writetostrings(false,'glDeleteTransformFeedbacks') else _writetostrings(true,'glDeleteTransformFeedbacks');
   if glDeleteVertexArrays=nil then _writetostrings(false,'glDeleteVertexArrays') else _writetostrings(true,'glDeleteVertexArrays');
   if glDeleteVertexArraysOES=nil then _writetostrings(false,'glDeleteVertexArraysOES') else _writetostrings(true,'glDeleteVertexArraysOES');
   if glDepthRangefOES=nil then _writetostrings(false,'glDepthRangefOES') else _writetostrings(true,'glDepthRangefOES');
   if glDepthRangexOES=nil then _writetostrings(false,'glDepthRangexOES') else _writetostrings(true,'glDepthRangexOES');
   if glDetachShader=nil then _writetostrings(false,'glDetachShader') else _writetostrings(true,'glDetachShader');
   if glDisableDriverControlQCOM=nil then _writetostrings(false,'glDisableDriverControlQCOM') else _writetostrings(true,'glDisableDriverControlQCOM');
   if glDisableVertexAttribArray=nil then _writetostrings(false,'glDisableVertexAttribArray') else _writetostrings(true,'glDisableVertexAttribArray');
   if glDisablei=nil then _writetostrings(false,'glDisablei') else _writetostrings(true,'glDisablei');
   if glDiscardFramebufferEXT=nil then _writetostrings(false,'glDiscardFramebufferEXT') else _writetostrings(true,'glDiscardFramebufferEXT');
   if glDrawArraysInstanced=nil then _writetostrings(false,'glDrawArraysInstanced') else _writetostrings(true,'glDrawArraysInstanced');
   if glDrawArraysInstancedBaseInstance=nil then _writetostrings(false,'glDrawArraysInstancedBaseInstance') else _writetostrings(true,'glDrawArraysInstancedBaseInstance');
   if glDrawBuffers=nil then _writetostrings(false,'glDrawBuffers') else _writetostrings(true,'glDrawBuffers');
   if glDrawElementsBaseVertex=nil then _writetostrings(false,'glDrawElementsBaseVertex') else _writetostrings(true,'glDrawElementsBaseVertex');
   if glDrawElementsInstanced=nil then _writetostrings(false,'glDrawElementsInstanced') else _writetostrings(true,'glDrawElementsInstanced');
   if glDrawElementsInstancedBaseInstance=nil then _writetostrings(false,'glDrawElementsInstancedBaseInstance') else _writetostrings(true,'glDrawElementsInstancedBaseInstance');
   if glDrawElementsInstancedBaseVertex=nil then _writetostrings(false,'glDrawElementsInstancedBaseVertex') else _writetostrings(true,'glDrawElementsInstancedBaseVertex');
   if glDrawElementsInstancedBaseVertexBaseInstance=nil then _writetostrings(false,'glDrawElementsInstancedBaseVertexBaseInstance') else _writetostrings(true,'glDrawElementsInstancedBaseVertexBaseInstance');
   if glDrawRangeElements=nil then _writetostrings(false,'glDrawRangeElements') else _writetostrings(true,'glDrawRangeElements');
   if glDrawRangeElementsBaseVertex=nil then _writetostrings(false,'glDrawRangeElementsBaseVertex') else _writetostrings(true,'glDrawRangeElementsBaseVertex');
   if glDrawTexfOES=nil then _writetostrings(false,'glDrawTexfOES') else _writetostrings(true,'glDrawTexfOES');
   if glDrawTexfvOES=nil then _writetostrings(false,'glDrawTexfvOES') else _writetostrings(true,'glDrawTexfvOES');
   if glDrawTexiOES=nil then _writetostrings(false,'glDrawTexiOES') else _writetostrings(true,'glDrawTexiOES');
   if glDrawTexivOES=nil then _writetostrings(false,'glDrawTexivOES') else _writetostrings(true,'glDrawTexivOES');
   if glDrawTexsOES=nil then _writetostrings(false,'glDrawTexsOES') else _writetostrings(true,'glDrawTexsOES');
   if glDrawTexsvOES=nil then _writetostrings(false,'glDrawTexsvOES') else _writetostrings(true,'glDrawTexsvOES');
   if glDrawTexxOES=nil then _writetostrings(false,'glDrawTexxOES') else _writetostrings(true,'glDrawTexxOES');
   if glDrawTexxvOES=nil then _writetostrings(false,'glDrawTexxvOES') else _writetostrings(true,'glDrawTexxvOES');
   if glDrawTransformFeedback=nil then _writetostrings(false,'glDrawTransformFeedback') else _writetostrings(true,'glDrawTransformFeedback');
   if glDrawTransformFeedbackInstanced=nil then _writetostrings(false,'glDrawTransformFeedbackInstanced') else _writetostrings(true,'glDrawTransformFeedbackInstanced');
   if glEGLImageTargetRenderbufferStorageOES=nil then _writetostrings(false,'glEGLImageTargetRenderbufferStorageOES') else _writetostrings(true,'glEGLImageTargetRenderbufferStorageOES');
   if glEGLImageTargetTexture2DOES=nil then _writetostrings(false,'glEGLImageTargetTexture2DOES') else _writetostrings(true,'glEGLImageTargetTexture2DOES');
   if glEnableDriverControlQCOM=nil then _writetostrings(false,'glEnableDriverControlQCOM') else _writetostrings(true,'glEnableDriverControlQCOM');
   if glEnableVertexAttribArray=nil then _writetostrings(false,'glEnableVertexAttribArray') else _writetostrings(true,'glEnableVertexAttribArray');
   if glEnablei=nil then _writetostrings(false,'glEnablei') else _writetostrings(true,'glEnablei');
   if glEndConditionalRender=nil then _writetostrings(false,'glEndConditionalRender') else _writetostrings(true,'glEndConditionalRender');
   if glEndQuery=nil then _writetostrings(false,'glEndQuery') else _writetostrings(true,'glEndQuery');
   if glEndTilingQCOM=nil then _writetostrings(false,'glEndTilingQCOM') else _writetostrings(true,'glEndTilingQCOM');
   if glEndTransformFeedback=nil then _writetostrings(false,'glEndTransformFeedback') else _writetostrings(true,'glEndTransformFeedback');
   if glEvalCoord1xOES=nil then _writetostrings(false,'glEvalCoord1xOES') else _writetostrings(true,'glEvalCoord1xOES');
   if glEvalCoord1xvOES=nil then _writetostrings(false,'glEvalCoord1xvOES') else _writetostrings(true,'glEvalCoord1xvOES');
   if glEvalCoord2xOES=nil then _writetostrings(false,'glEvalCoord2xOES') else _writetostrings(true,'glEvalCoord2xOES');
   if glEvalCoord2xvOES=nil then _writetostrings(false,'glEvalCoord2xvOES') else _writetostrings(true,'glEvalCoord2xvOES');
   if glExtGetBufferPointervQCOM=nil then _writetostrings(false,'glExtGetBufferPointervQCOM') else _writetostrings(true,'glExtGetBufferPointervQCOM');
   if glExtGetBuffersQCOM=nil then _writetostrings(false,'glExtGetBuffersQCOM') else _writetostrings(true,'glExtGetBuffersQCOM');
   if glExtGetFramebuffersQCOM=nil then _writetostrings(false,'glExtGetFramebuffersQCOM') else _writetostrings(true,'glExtGetFramebuffersQCOM');
   if glExtGetProgramBinarySourceQCOM=nil then _writetostrings(false,'glExtGetProgramBinarySourceQCOM') else _writetostrings(true,'glExtGetProgramBinarySourceQCOM');
   if glExtGetProgramsQCOM=nil then _writetostrings(false,'glExtGetProgramsQCOM') else _writetostrings(true,'glExtGetProgramsQCOM');
   if glExtGetRenderbuffersQCOM=nil then _writetostrings(false,'glExtGetRenderbuffersQCOM') else _writetostrings(true,'glExtGetRenderbuffersQCOM');
   if glExtGetShadersQCOM=nil then _writetostrings(false,'glExtGetShadersQCOM') else _writetostrings(true,'glExtGetShadersQCOM');
   if glExtGetTexLevelParameterivQCOM=nil then _writetostrings(false,'glExtGetTexLevelParameterivQCOM') else _writetostrings(true,'glExtGetTexLevelParameterivQCOM');
   if glExtGetTexSubImageQCOM=nil then _writetostrings(false,'glExtGetTexSubImageQCOM') else _writetostrings(true,'glExtGetTexSubImageQCOM');
   if glExtGetTexturesQCOM=nil then _writetostrings(false,'glExtGetTexturesQCOM') else _writetostrings(true,'glExtGetTexturesQCOM');
   if glExtIsProgramBinaryQCOM=nil then _writetostrings(false,'glExtIsProgramBinaryQCOM') else _writetostrings(true,'glExtIsProgramBinaryQCOM');
   if glExtTexObjectStateOverrideiQCOM=nil then _writetostrings(false,'glExtTexObjectStateOverrideiQCOM') else _writetostrings(true,'glExtTexObjectStateOverrideiQCOM');
   if glFeedbackBufferxOES=nil then _writetostrings(false,'glFeedbackBufferxOES') else _writetostrings(true,'glFeedbackBufferxOES');
   if glFenceSync=nil then _writetostrings(false,'glFenceSync') else _writetostrings(true,'glFenceSync');
   if glFenceSyncAPPLE=nil then _writetostrings(false,'glFenceSyncAPPLE') else _writetostrings(true,'glFenceSyncAPPLE');
   if glFinishFenceNV=nil then _writetostrings(false,'glFinishFenceNV') else _writetostrings(true,'glFinishFenceNV');
   if glFlushMappedBufferRange=nil then _writetostrings(false,'glFlushMappedBufferRange') else _writetostrings(true,'glFlushMappedBufferRange');
   if glFlushMappedBufferRangeEXT=nil then _writetostrings(false,'glFlushMappedBufferRangeEXT') else _writetostrings(true,'glFlushMappedBufferRangeEXT');
   if glFogCoordPointer=nil then _writetostrings(false,'glFogCoordPointer') else _writetostrings(true,'glFogCoordPointer');
   if glFogCoordd=nil then _writetostrings(false,'glFogCoordd') else _writetostrings(true,'glFogCoordd');
   if glFogCoorddv=nil then _writetostrings(false,'glFogCoorddv') else _writetostrings(true,'glFogCoorddv');
   if glFogCoordf=nil then _writetostrings(false,'glFogCoordf') else _writetostrings(true,'glFogCoordf');
   if glFogCoordfv=nil then _writetostrings(false,'glFogCoordfv') else _writetostrings(true,'glFogCoordfv');
   if glFogxOES=nil then _writetostrings(false,'glFogxOES') else _writetostrings(true,'glFogxOES');
   if glFogxvOES=nil then _writetostrings(false,'glFogxvOES') else _writetostrings(true,'glFogxvOES');
   if glFramebufferRenderbuffer=nil then _writetostrings(false,'glFramebufferRenderbuffer') else _writetostrings(true,'glFramebufferRenderbuffer');
   if glFramebufferRenderbufferOES=nil then _writetostrings(false,'glFramebufferRenderbufferOES') else _writetostrings(true,'glFramebufferRenderbufferOES');
   if glFramebufferTexture=nil then _writetostrings(false,'glFramebufferTexture') else _writetostrings(true,'glFramebufferTexture');
   if glFramebufferTexture1D=nil then _writetostrings(false,'glFramebufferTexture1D') else _writetostrings(true,'glFramebufferTexture1D');
   if glFramebufferTexture2D=nil then _writetostrings(false,'glFramebufferTexture2D') else _writetostrings(true,'glFramebufferTexture2D');
   if glFramebufferTexture2DMultisampleEXT=nil then _writetostrings(false,'glFramebufferTexture2DMultisampleEXT') else _writetostrings(true,'glFramebufferTexture2DMultisampleEXT');
   if glFramebufferTexture2DMultisampleIMG=nil then _writetostrings(false,'glFramebufferTexture2DMultisampleIMG') else _writetostrings(true,'glFramebufferTexture2DMultisampleIMG');
   if glFramebufferTexture2DOES=nil then _writetostrings(false,'glFramebufferTexture2DOES') else _writetostrings(true,'glFramebufferTexture2DOES');
   if glFramebufferTexture3D=nil then _writetostrings(false,'glFramebufferTexture3D') else _writetostrings(true,'glFramebufferTexture3D');
   if glFramebufferTextureFaceARB=nil then _writetostrings(false,'glFramebufferTextureFaceARB') else _writetostrings(true,'glFramebufferTextureFaceARB');
   if glFramebufferTextureLayer=nil then _writetostrings(false,'glFramebufferTextureLayer') else _writetostrings(true,'glFramebufferTextureLayer');
   if glFrustumfOES=nil then _writetostrings(false,'glFrustumfOES') else _writetostrings(true,'glFrustumfOES');
   if glFrustumxOES=nil then _writetostrings(false,'glFrustumxOES') else _writetostrings(true,'glFrustumxOES');
   if glGenFencesNV=nil then _writetostrings(false,'glGenFencesNV') else _writetostrings(true,'glGenFencesNV');
   if glGenFramebuffers=nil then _writetostrings(false,'glGenFramebuffers') else _writetostrings(true,'glGenFramebuffers');
   if glGenFramebuffersOES=nil then _writetostrings(false,'glGenFramebuffersOES') else _writetostrings(true,'glGenFramebuffersOES');
   if glGenProgramsARB=nil then _writetostrings(false,'glGenProgramsARB') else _writetostrings(true,'glGenProgramsARB');
   if glGenQueries=nil then _writetostrings(false,'glGenQueries') else _writetostrings(true,'glGenQueries');
   if glGenRenderbuffers=nil then _writetostrings(false,'glGenRenderbuffers') else _writetostrings(true,'glGenRenderbuffers');
   if glGenRenderbuffersOES=nil then _writetostrings(false,'glGenRenderbuffersOES') else _writetostrings(true,'glGenRenderbuffersOES');
   if glGenTransformFeedbacks=nil then _writetostrings(false,'glGenTransformFeedbacks') else _writetostrings(true,'glGenTransformFeedbacks');
   if glGenVertexArrays=nil then _writetostrings(false,'glGenVertexArrays') else _writetostrings(true,'glGenVertexArrays');
   if glGenVertexArraysOES=nil then _writetostrings(false,'glGenVertexArraysOES') else _writetostrings(true,'glGenVertexArraysOES');
   if glGenerateMipmap=nil then _writetostrings(false,'glGenerateMipmap') else _writetostrings(true,'glGenerateMipmap');
   if glGenerateMipmapOES=nil then _writetostrings(false,'glGenerateMipmapOES') else _writetostrings(true,'glGenerateMipmapOES');
   if glGetActiveAttrib=nil then _writetostrings(false,'glGetActiveAttrib') else _writetostrings(true,'glGetActiveAttrib');
   if glGetActiveUniform=nil then _writetostrings(false,'glGetActiveUniform') else _writetostrings(true,'glGetActiveUniform');
   if glGetAttribLocation=nil then _writetostrings(false,'glGetAttribLocation') else _writetostrings(true,'glGetAttribLocation');
   if glGetBooleani_v=nil then _writetostrings(false,'glGetBooleani_v') else _writetostrings(true,'glGetBooleani_v');
   if glGetBufferPointerv=nil then _writetostrings(false,'glGetBufferPointerv') else _writetostrings(true,'glGetBufferPointerv');
   if glGetBufferPointervOES=nil then _writetostrings(false,'glGetBufferPointervOES') else _writetostrings(true,'glGetBufferPointervOES');
   if glGetBufferSubData=nil then _writetostrings(false,'glGetBufferSubData') else _writetostrings(true,'glGetBufferSubData');
   if glGetClipPlanefOES=nil then _writetostrings(false,'glGetClipPlanefOES') else _writetostrings(true,'glGetClipPlanefOES');
   if glGetClipPlanexOES=nil then _writetostrings(false,'glGetClipPlanexOES') else _writetostrings(true,'glGetClipPlanexOES');
   if glGetColorTable=nil then _writetostrings(false,'glGetColorTable') else _writetostrings(true,'glGetColorTable');
   if glGetColorTableParameterfv=nil then _writetostrings(false,'glGetColorTableParameterfv') else _writetostrings(true,'glGetColorTableParameterfv');
   if glGetColorTableParameteriv=nil then _writetostrings(false,'glGetColorTableParameteriv') else _writetostrings(true,'glGetColorTableParameteriv');
   if glGetCompressedTexImage=nil then _writetostrings(false,'glGetCompressedTexImage') else _writetostrings(true,'glGetCompressedTexImage');
   if glGetConvolutionParameterxvOES=nil then _writetostrings(false,'glGetConvolutionParameterxvOES') else _writetostrings(true,'glGetConvolutionParameterxvOES');
   if glGetDebugMessageLog=nil then _writetostrings(false,'glGetDebugMessageLog') else _writetostrings(true,'glGetDebugMessageLog');
   if glGetDebugMessageLogKHR=nil then _writetostrings(false,'glGetDebugMessageLogKHR') else _writetostrings(true,'glGetDebugMessageLogKHR');
   if glGetDoublei_v=nil then _writetostrings(false,'glGetDoublei_v') else _writetostrings(true,'glGetDoublei_v');
   if glGetDriverControlStringQCOM=nil then _writetostrings(false,'glGetDriverControlStringQCOM') else _writetostrings(true,'glGetDriverControlStringQCOM');
   if glGetDriverControlsQCOM=nil then _writetostrings(false,'glGetDriverControlsQCOM') else _writetostrings(true,'glGetDriverControlsQCOM');
   if glGetFenceivNV=nil then _writetostrings(false,'glGetFenceivNV') else _writetostrings(true,'glGetFenceivNV');
   if glGetFixedvOES=nil then _writetostrings(false,'glGetFixedvOES') else _writetostrings(true,'glGetFixedvOES');
   if glGetFloati_v=nil then _writetostrings(false,'glGetFloati_v') else _writetostrings(true,'glGetFloati_v');
   if glGetFragDataIndex=nil then _writetostrings(false,'glGetFragDataIndex') else _writetostrings(true,'glGetFragDataIndex');
   if glGetFragDataLocation=nil then _writetostrings(false,'glGetFragDataLocation') else _writetostrings(true,'glGetFragDataLocation');
   if glGetFramebufferAttachmentParameteriv=nil then _writetostrings(false,'glGetFramebufferAttachmentParameteriv') else _writetostrings(true,'glGetFramebufferAttachmentParameteriv');
   if glGetFramebufferAttachmentParameterivOES=nil then _writetostrings(false,'glGetFramebufferAttachmentParameterivOES') else _writetostrings(true,'glGetFramebufferAttachmentParameterivOES');
   if glGetGraphicsResetStatus=nil then _writetostrings(false,'glGetGraphicsResetStatus') else _writetostrings(true,'glGetGraphicsResetStatus');
   if glGetGraphicsResetStatusEXT=nil then _writetostrings(false,'glGetGraphicsResetStatusEXT') else _writetostrings(true,'glGetGraphicsResetStatusEXT');
   if glGetHistogramParameterxvOES=nil then _writetostrings(false,'glGetHistogramParameterxvOES') else _writetostrings(true,'glGetHistogramParameterxvOES');
   if glGetInteger64v=nil then _writetostrings(false,'glGetInteger64v') else _writetostrings(true,'glGetInteger64v');
   if glGetInteger64vAPPLE=nil then _writetostrings(false,'glGetInteger64vAPPLE') else _writetostrings(true,'glGetInteger64vAPPLE');
   if glGetIntegeri_v=nil then _writetostrings(false,'glGetIntegeri_v') else _writetostrings(true,'glGetIntegeri_v');
   if glGetLightxOES=nil then _writetostrings(false,'glGetLightxOES') else _writetostrings(true,'glGetLightxOES');
   if glGetLightxvOES=nil then _writetostrings(false,'glGetLightxvOES') else _writetostrings(true,'glGetLightxvOES');
   if glGetMapxvOES=nil then _writetostrings(false,'glGetMapxvOES') else _writetostrings(true,'glGetMapxvOES');
   if glGetMaterialxOES=nil then _writetostrings(false,'glGetMaterialxOES') else _writetostrings(true,'glGetMaterialxOES');
   if glGetMaterialxvOES=nil then _writetostrings(false,'glGetMaterialxvOES') else _writetostrings(true,'glGetMaterialxvOES');
   if glGetMultisamplefv=nil then _writetostrings(false,'glGetMultisamplefv') else _writetostrings(true,'glGetMultisamplefv');
   if glGetObjectLabel=nil then _writetostrings(false,'glGetObjectLabel') else _writetostrings(true,'glGetObjectLabel');
   if glGetObjectLabelKHR=nil then _writetostrings(false,'glGetObjectLabelKHR') else _writetostrings(true,'glGetObjectLabelKHR');
   if glGetObjectPtrLabel=nil then _writetostrings(false,'glGetObjectPtrLabel') else _writetostrings(true,'glGetObjectPtrLabel');
   if glGetObjectPtrLabelKHR=nil then _writetostrings(false,'glGetObjectPtrLabelKHR') else _writetostrings(true,'glGetObjectPtrLabelKHR');
   if glGetPixelMapxv=nil then _writetostrings(false,'glGetPixelMapxv') else _writetostrings(true,'glGetPixelMapxv');
   if glGetPointervKHR=nil then _writetostrings(false,'glGetPointervKHR') else _writetostrings(true,'glGetPointervKHR');
   if glGetProgramBinary=nil then _writetostrings(false,'glGetProgramBinary') else _writetostrings(true,'glGetProgramBinary');
   if glGetQueryObjecti64v=nil then _writetostrings(false,'glGetQueryObjecti64v') else _writetostrings(true,'glGetQueryObjecti64v');
   if glGetQueryObjectiv=nil then _writetostrings(false,'glGetQueryObjectiv') else _writetostrings(true,'glGetQueryObjectiv');
   if glGetQueryObjectui64v=nil then _writetostrings(false,'glGetQueryObjectui64v') else _writetostrings(true,'glGetQueryObjectui64v');
   if glGetQueryObjectuiv=nil then _writetostrings(false,'glGetQueryObjectuiv') else _writetostrings(true,'glGetQueryObjectuiv');
   if glGetQueryiv=nil then _writetostrings(false,'glGetQueryiv') else _writetostrings(true,'glGetQueryiv');
   if glGetRenderbufferParameteriv=nil then _writetostrings(false,'glGetRenderbufferParameteriv') else _writetostrings(true,'glGetRenderbufferParameteriv');
   if glGetRenderbufferParameterivOES=nil then _writetostrings(false,'glGetRenderbufferParameterivOES') else _writetostrings(true,'glGetRenderbufferParameterivOES');
   if glGetSamplerParameterIiv=nil then _writetostrings(false,'glGetSamplerParameterIiv') else _writetostrings(true,'glGetSamplerParameterIiv');
   if glGetSamplerParameterIuiv=nil then _writetostrings(false,'glGetSamplerParameterIuiv') else _writetostrings(true,'glGetSamplerParameterIuiv');
   if glGetShaderSource=nil then _writetostrings(false,'glGetShaderSource') else _writetostrings(true,'glGetShaderSource');
   if glGetSynciv=nil then _writetostrings(false,'glGetSynciv') else _writetostrings(true,'glGetSynciv');
   if glGetSyncivAPPLE=nil then _writetostrings(false,'glGetSyncivAPPLE') else _writetostrings(true,'glGetSyncivAPPLE');
   if glGetTexEnvxvOES=nil then _writetostrings(false,'glGetTexEnvxvOES') else _writetostrings(true,'glGetTexEnvxvOES');
   if glGetTexGenfvOES=nil then _writetostrings(false,'glGetTexGenfvOES') else _writetostrings(true,'glGetTexGenfvOES');
   if glGetTexGenivOES=nil then _writetostrings(false,'glGetTexGenivOES') else _writetostrings(true,'glGetTexGenivOES');
   if glGetTexGenxvOES=nil then _writetostrings(false,'glGetTexGenxvOES') else _writetostrings(true,'glGetTexGenxvOES');
   if glGetTexLevelParameterxvOES=nil then _writetostrings(false,'glGetTexLevelParameterxvOES') else _writetostrings(true,'glGetTexLevelParameterxvOES');
   if glGetTexParameterIiv=nil then _writetostrings(false,'glGetTexParameterIiv') else _writetostrings(true,'glGetTexParameterIiv');
   if glGetTexParameterIuiv=nil then _writetostrings(false,'glGetTexParameterIuiv') else _writetostrings(true,'glGetTexParameterIuiv');
   if glGetTexParameterxvOES=nil then _writetostrings(false,'glGetTexParameterxvOES') else _writetostrings(true,'glGetTexParameterxvOES');
   if glGetTextureHandleARB=nil then _writetostrings(false,'glGetTextureHandleARB') else _writetostrings(true,'glGetTextureHandleARB');
   if glGetTextureSamplerHandleARB=nil then _writetostrings(false,'glGetTextureSamplerHandleARB') else _writetostrings(true,'glGetTextureSamplerHandleARB');
   if glGetTransformFeedbackVarying=nil then _writetostrings(false,'glGetTransformFeedbackVarying') else _writetostrings(true,'glGetTransformFeedbackVarying');
   if glGetUniformLocation=nil then _writetostrings(false,'glGetUniformLocation') else _writetostrings(true,'glGetUniformLocation');
   if glGetUniformfv=nil then _writetostrings(false,'glGetUniformfv') else _writetostrings(true,'glGetUniformfv');
   if glGetUniformiv=nil then _writetostrings(false,'glGetUniformiv') else _writetostrings(true,'glGetUniformiv');
   if glGetUniformuiv=nil then _writetostrings(false,'glGetUniformuiv') else _writetostrings(true,'glGetUniformuiv');
   if glGetVertexAttribIiv=nil then _writetostrings(false,'glGetVertexAttribIiv') else _writetostrings(true,'glGetVertexAttribIiv');
   if glGetVertexAttribIuiv=nil then _writetostrings(false,'glGetVertexAttribIuiv') else _writetostrings(true,'glGetVertexAttribIuiv');
   if glGetVertexAttribLdv=nil then _writetostrings(false,'glGetVertexAttribLdv') else _writetostrings(true,'glGetVertexAttribLdv');
   if glGetVertexAttribPointerv=nil then _writetostrings(false,'glGetVertexAttribPointerv') else _writetostrings(true,'glGetVertexAttribPointerv');
   if glGetVertexAttribdv=nil then _writetostrings(false,'glGetVertexAttribdv') else _writetostrings(true,'glGetVertexAttribdv');
   if glGetVertexAttribfv=nil then _writetostrings(false,'glGetVertexAttribfv') else _writetostrings(true,'glGetVertexAttribfv');
   if glGetVertexAttribiv=nil then _writetostrings(false,'glGetVertexAttribiv') else _writetostrings(true,'glGetVertexAttribiv');
   if glGetnUniformfv=nil then _writetostrings(false,'glGetnUniformfv') else _writetostrings(true,'glGetnUniformfv');
   if glGetnUniformfvEXT=nil then _writetostrings(false,'glGetnUniformfvEXT') else _writetostrings(true,'glGetnUniformfvEXT');
   if glGetnUniformiv=nil then _writetostrings(false,'glGetnUniformiv') else _writetostrings(true,'glGetnUniformiv');
   if glGetnUniformivEXT=nil then _writetostrings(false,'glGetnUniformivEXT') else _writetostrings(true,'glGetnUniformivEXT');
   if glGetnUniformuiv=nil then _writetostrings(false,'glGetnUniformuiv') else _writetostrings(true,'glGetnUniformuiv');
   if glHistogram=nil then _writetostrings(false,'glHistogram') else _writetostrings(true,'glHistogram');
   if glIndexxOES=nil then _writetostrings(false,'glIndexxOES') else _writetostrings(true,'glIndexxOES');
   if glIndexxvOES=nil then _writetostrings(false,'glIndexxvOES') else _writetostrings(true,'glIndexxvOES');
   if glInsertEventMarkerEXT=nil then _writetostrings(false,'glInsertEventMarkerEXT') else _writetostrings(true,'glInsertEventMarkerEXT');
   if glIsEnabledi=nil then _writetostrings(false,'glIsEnabledi') else _writetostrings(true,'glIsEnabledi');
   if glIsFenceNV=nil then _writetostrings(false,'glIsFenceNV') else _writetostrings(true,'glIsFenceNV');
   if glIsFramebuffer=nil then _writetostrings(false,'glIsFramebuffer') else _writetostrings(true,'glIsFramebuffer');
   if glIsFramebufferOES=nil then _writetostrings(false,'glIsFramebufferOES') else _writetostrings(true,'glIsFramebufferOES');
   if glIsProgramARB=nil then _writetostrings(false,'glIsProgramARB') else _writetostrings(true,'glIsProgramARB');
   if glIsQuery=nil then _writetostrings(false,'glIsQuery') else _writetostrings(true,'glIsQuery');
   if glIsRenderbuffer=nil then _writetostrings(false,'glIsRenderbuffer') else _writetostrings(true,'glIsRenderbuffer');
   if glIsRenderbufferOES=nil then _writetostrings(false,'glIsRenderbufferOES') else _writetostrings(true,'glIsRenderbufferOES');
   if glIsSync=nil then _writetostrings(false,'glIsSync') else _writetostrings(true,'glIsSync');
   if glIsSyncAPPLE=nil then _writetostrings(false,'glIsSyncAPPLE') else _writetostrings(true,'glIsSyncAPPLE');
   if glIsTransformFeedback=nil then _writetostrings(false,'glIsTransformFeedback') else _writetostrings(true,'glIsTransformFeedback');
   if glIsVertexArray=nil then _writetostrings(false,'glIsVertexArray') else _writetostrings(true,'glIsVertexArray');
   if glIsVertexArrayOES=nil then _writetostrings(false,'glIsVertexArrayOES') else _writetostrings(true,'glIsVertexArrayOES');
   if glLightModelxOES=nil then _writetostrings(false,'glLightModelxOES') else _writetostrings(true,'glLightModelxOES');
   if glLightModelxvOES=nil then _writetostrings(false,'glLightModelxvOES') else _writetostrings(true,'glLightModelxvOES');
   if glLightxOES=nil then _writetostrings(false,'glLightxOES') else _writetostrings(true,'glLightxOES');
   if glLightxvOES=nil then _writetostrings(false,'glLightxvOES') else _writetostrings(true,'glLightxvOES');
   if glLineWidthxOES=nil then _writetostrings(false,'glLineWidthxOES') else _writetostrings(true,'glLineWidthxOES');
   if glLinkProgram=nil then _writetostrings(false,'glLinkProgram') else _writetostrings(true,'glLinkProgram');
   if glLoadMatrixxOES=nil then _writetostrings(false,'glLoadMatrixxOES') else _writetostrings(true,'glLoadMatrixxOES');
   if glLoadPaletteFromModelViewMatrixOES=nil then _writetostrings(false,'glLoadPaletteFromModelViewMatrixOES') else _writetostrings(true,'glLoadPaletteFromModelViewMatrixOES');
   if glLoadTransposeMatrixd=nil then _writetostrings(false,'glLoadTransposeMatrixd') else _writetostrings(true,'glLoadTransposeMatrixd');
   if glLoadTransposeMatrixf=nil then _writetostrings(false,'glLoadTransposeMatrixf') else _writetostrings(true,'glLoadTransposeMatrixf');
   if glLoadTransposeMatrixxOES=nil then _writetostrings(false,'glLoadTransposeMatrixxOES') else _writetostrings(true,'glLoadTransposeMatrixxOES');
   if glMap1xOES=nil then _writetostrings(false,'glMap1xOES') else _writetostrings(true,'glMap1xOES');
   if glMap2xOES=nil then _writetostrings(false,'glMap2xOES') else _writetostrings(true,'glMap2xOES');
   if glMapBuffer=nil then _writetostrings(false,'glMapBuffer') else _writetostrings(true,'glMapBuffer');
   if glMapBufferOES=nil then _writetostrings(false,'glMapBufferOES') else _writetostrings(true,'glMapBufferOES');
   if glMapBufferRange=nil then _writetostrings(false,'glMapBufferRange') else _writetostrings(true,'glMapBufferRange');
   if glMapBufferRangeEXT=nil then _writetostrings(false,'glMapBufferRangeEXT') else _writetostrings(true,'glMapBufferRangeEXT');
   if glMapGrid1xOES=nil then _writetostrings(false,'glMapGrid1xOES') else _writetostrings(true,'glMapGrid1xOES');
   if glMapGrid2xOES=nil then _writetostrings(false,'glMapGrid2xOES') else _writetostrings(true,'glMapGrid2xOES');
   if glMaterialxOES=nil then _writetostrings(false,'glMaterialxOES') else _writetostrings(true,'glMaterialxOES');
   if glMaterialxvOES=nil then _writetostrings(false,'glMaterialxvOES') else _writetostrings(true,'glMaterialxvOES');
   if glMatrixIndexPointerOES=nil then _writetostrings(false,'glMatrixIndexPointerOES') else _writetostrings(true,'glMatrixIndexPointerOES');
   if glMaxShaderCompilerThreadsKHR=nil then _writetostrings(false,'glMaxShaderCompilerThreadsKHR') else _writetostrings(true,'glMaxShaderCompilerThreadsKHR');
   if glMemoryBarrier=nil then _writetostrings(false,'glMemoryBarrier') else _writetostrings(true,'glMemoryBarrier');
   if glMinSampleShading=nil then _writetostrings(false,'glMinSampleShading') else _writetostrings(true,'glMinSampleShading');
   if glMinmax=nil then _writetostrings(false,'glMinmax') else _writetostrings(true,'glMinmax');
   if glMultMatrixxOES=nil then _writetostrings(false,'glMultMatrixxOES') else _writetostrings(true,'glMultMatrixxOES');
   if glMultTransposeMatrixd=nil then _writetostrings(false,'glMultTransposeMatrixd') else _writetostrings(true,'glMultTransposeMatrixd');
   if glMultTransposeMatrixf=nil then _writetostrings(false,'glMultTransposeMatrixf') else _writetostrings(true,'glMultTransposeMatrixf');
   if glMultTransposeMatrixxOES=nil then _writetostrings(false,'glMultTransposeMatrixxOES') else _writetostrings(true,'glMultTransposeMatrixxOES');
   if glMultiDrawArrays=nil then _writetostrings(false,'glMultiDrawArrays') else _writetostrings(true,'glMultiDrawArrays');
   if glMultiDrawArraysEXT=nil then _writetostrings(false,'glMultiDrawArraysEXT') else _writetostrings(true,'glMultiDrawArraysEXT');
   if glMultiDrawArraysIndirect=nil then _writetostrings(false,'glMultiDrawArraysIndirect') else _writetostrings(true,'glMultiDrawArraysIndirect');
   if glMultiDrawArraysIndirectCount=nil then _writetostrings(false,'glMultiDrawArraysIndirectCount') else _writetostrings(true,'glMultiDrawArraysIndirectCount');
   if glMultiDrawElements=nil then _writetostrings(false,'glMultiDrawElements') else _writetostrings(true,'glMultiDrawElements');
   if glMultiDrawElementsBaseVertex=nil then _writetostrings(false,'glMultiDrawElementsBaseVertex') else _writetostrings(true,'glMultiDrawElementsBaseVertex');
   if glMultiDrawElementsEXT=nil then _writetostrings(false,'glMultiDrawElementsEXT') else _writetostrings(true,'glMultiDrawElementsEXT');
   if glMultiDrawElementsIndirect=nil then _writetostrings(false,'glMultiDrawElementsIndirect') else _writetostrings(true,'glMultiDrawElementsIndirect');
   if glMultiDrawElementsIndirectCount=nil then _writetostrings(false,'glMultiDrawElementsIndirectCount') else _writetostrings(true,'glMultiDrawElementsIndirectCount');
   if glMultiTexCoord1bOES=nil then _writetostrings(false,'glMultiTexCoord1bOES') else _writetostrings(true,'glMultiTexCoord1bOES');
   if glMultiTexCoord1bvOES=nil then _writetostrings(false,'glMultiTexCoord1bvOES') else _writetostrings(true,'glMultiTexCoord1bvOES');
   if glMultiTexCoord1d=nil then _writetostrings(false,'glMultiTexCoord1d') else _writetostrings(true,'glMultiTexCoord1d');
   if glMultiTexCoord1dv=nil then _writetostrings(false,'glMultiTexCoord1dv') else _writetostrings(true,'glMultiTexCoord1dv');
   if glMultiTexCoord1f=nil then _writetostrings(false,'glMultiTexCoord1f') else _writetostrings(true,'glMultiTexCoord1f');
   if glMultiTexCoord1fv=nil then _writetostrings(false,'glMultiTexCoord1fv') else _writetostrings(true,'glMultiTexCoord1fv');
   if glMultiTexCoord1i=nil then _writetostrings(false,'glMultiTexCoord1i') else _writetostrings(true,'glMultiTexCoord1i');
   if glMultiTexCoord1iv=nil then _writetostrings(false,'glMultiTexCoord1iv') else _writetostrings(true,'glMultiTexCoord1iv');
   if glMultiTexCoord1s=nil then _writetostrings(false,'glMultiTexCoord1s') else _writetostrings(true,'glMultiTexCoord1s');
   if glMultiTexCoord1sv=nil then _writetostrings(false,'glMultiTexCoord1sv') else _writetostrings(true,'glMultiTexCoord1sv');
   if glMultiTexCoord1xOES=nil then _writetostrings(false,'glMultiTexCoord1xOES') else _writetostrings(true,'glMultiTexCoord1xOES');
   if glMultiTexCoord1xvOES=nil then _writetostrings(false,'glMultiTexCoord1xvOES') else _writetostrings(true,'glMultiTexCoord1xvOES');
   if glMultiTexCoord2bOES=nil then _writetostrings(false,'glMultiTexCoord2bOES') else _writetostrings(true,'glMultiTexCoord2bOES');
   if glMultiTexCoord2bvOES=nil then _writetostrings(false,'glMultiTexCoord2bvOES') else _writetostrings(true,'glMultiTexCoord2bvOES');
   if glMultiTexCoord2d=nil then _writetostrings(false,'glMultiTexCoord2d') else _writetostrings(true,'glMultiTexCoord2d');
   if glMultiTexCoord2dv=nil then _writetostrings(false,'glMultiTexCoord2dv') else _writetostrings(true,'glMultiTexCoord2dv');
   if glMultiTexCoord2f=nil then _writetostrings(false,'glMultiTexCoord2f') else _writetostrings(true,'glMultiTexCoord2f');
   if glMultiTexCoord2fv=nil then _writetostrings(false,'glMultiTexCoord2fv') else _writetostrings(true,'glMultiTexCoord2fv');
   if glMultiTexCoord2i=nil then _writetostrings(false,'glMultiTexCoord2i') else _writetostrings(true,'glMultiTexCoord2i');
   if glMultiTexCoord2iv=nil then _writetostrings(false,'glMultiTexCoord2iv') else _writetostrings(true,'glMultiTexCoord2iv');
   if glMultiTexCoord2s=nil then _writetostrings(false,'glMultiTexCoord2s') else _writetostrings(true,'glMultiTexCoord2s');
   if glMultiTexCoord2sv=nil then _writetostrings(false,'glMultiTexCoord2sv') else _writetostrings(true,'glMultiTexCoord2sv');
   if glMultiTexCoord2xOES=nil then _writetostrings(false,'glMultiTexCoord2xOES') else _writetostrings(true,'glMultiTexCoord2xOES');
   if glMultiTexCoord2xvOES=nil then _writetostrings(false,'glMultiTexCoord2xvOES') else _writetostrings(true,'glMultiTexCoord2xvOES');
   if glMultiTexCoord3bOES=nil then _writetostrings(false,'glMultiTexCoord3bOES') else _writetostrings(true,'glMultiTexCoord3bOES');
   if glMultiTexCoord3bvOES=nil then _writetostrings(false,'glMultiTexCoord3bvOES') else _writetostrings(true,'glMultiTexCoord3bvOES');
   if glMultiTexCoord3d=nil then _writetostrings(false,'glMultiTexCoord3d') else _writetostrings(true,'glMultiTexCoord3d');
   if glMultiTexCoord3dv=nil then _writetostrings(false,'glMultiTexCoord3dv') else _writetostrings(true,'glMultiTexCoord3dv');
   if glMultiTexCoord3f=nil then _writetostrings(false,'glMultiTexCoord3f') else _writetostrings(true,'glMultiTexCoord3f');
   if glMultiTexCoord3fv=nil then _writetostrings(false,'glMultiTexCoord3fv') else _writetostrings(true,'glMultiTexCoord3fv');
   if glMultiTexCoord3i=nil then _writetostrings(false,'glMultiTexCoord3i') else _writetostrings(true,'glMultiTexCoord3i');
   if glMultiTexCoord3iv=nil then _writetostrings(false,'glMultiTexCoord3iv') else _writetostrings(true,'glMultiTexCoord3iv');
   if glMultiTexCoord3s=nil then _writetostrings(false,'glMultiTexCoord3s') else _writetostrings(true,'glMultiTexCoord3s');
   if glMultiTexCoord3sv=nil then _writetostrings(false,'glMultiTexCoord3sv') else _writetostrings(true,'glMultiTexCoord3sv');
   if glMultiTexCoord3xOES=nil then _writetostrings(false,'glMultiTexCoord3xOES') else _writetostrings(true,'glMultiTexCoord3xOES');
   if glMultiTexCoord3xvOES=nil then _writetostrings(false,'glMultiTexCoord3xvOES') else _writetostrings(true,'glMultiTexCoord3xvOES');
   if glMultiTexCoord4bOES=nil then _writetostrings(false,'glMultiTexCoord4bOES') else _writetostrings(true,'glMultiTexCoord4bOES');
   if glMultiTexCoord4bvOES=nil then _writetostrings(false,'glMultiTexCoord4bvOES') else _writetostrings(true,'glMultiTexCoord4bvOES');
   if glMultiTexCoord4d=nil then _writetostrings(false,'glMultiTexCoord4d') else _writetostrings(true,'glMultiTexCoord4d');
   if glMultiTexCoord4dv=nil then _writetostrings(false,'glMultiTexCoord4dv') else _writetostrings(true,'glMultiTexCoord4dv');
   if glMultiTexCoord4fv=nil then _writetostrings(false,'glMultiTexCoord4fv') else _writetostrings(true,'glMultiTexCoord4fv');
   if glMultiTexCoord4i=nil then _writetostrings(false,'glMultiTexCoord4i') else _writetostrings(true,'glMultiTexCoord4i');
   if glMultiTexCoord4iv=nil then _writetostrings(false,'glMultiTexCoord4iv') else _writetostrings(true,'glMultiTexCoord4iv');
   if glMultiTexCoord4s=nil then _writetostrings(false,'glMultiTexCoord4s') else _writetostrings(true,'glMultiTexCoord4s');
   if glMultiTexCoord4sv=nil then _writetostrings(false,'glMultiTexCoord4sv') else _writetostrings(true,'glMultiTexCoord4sv');
   if glMultiTexCoord4xOES=nil then _writetostrings(false,'glMultiTexCoord4xOES') else _writetostrings(true,'glMultiTexCoord4xOES');
   if glMultiTexCoord4xvOES=nil then _writetostrings(false,'glMultiTexCoord4xvOES') else _writetostrings(true,'glMultiTexCoord4xvOES');
   if glNamedBufferStorage=nil then _writetostrings(false,'glNamedBufferStorage') else _writetostrings(true,'glNamedBufferStorage');
   if glNamedBufferSubData=nil then _writetostrings(false,'glNamedBufferSubData') else _writetostrings(true,'glNamedBufferSubData');
   if glNormal3xOES=nil then _writetostrings(false,'glNormal3xOES') else _writetostrings(true,'glNormal3xOES');
   if glNormal3xvOES=nil then _writetostrings(false,'glNormal3xvOES') else _writetostrings(true,'glNormal3xvOES');
   if glObjectLabel=nil then _writetostrings(false,'glObjectLabel') else _writetostrings(true,'glObjectLabel');
   if glObjectLabelKHR=nil then _writetostrings(false,'glObjectLabelKHR') else _writetostrings(true,'glObjectLabelKHR');
   if glObjectPtrLabel=nil then _writetostrings(false,'glObjectPtrLabel') else _writetostrings(true,'glObjectPtrLabel');
   if glObjectPtrLabelKHR=nil then _writetostrings(false,'glObjectPtrLabelKHR') else _writetostrings(true,'glObjectPtrLabelKHR');
   if glOrthofOES=nil then _writetostrings(false,'glOrthofOES') else _writetostrings(true,'glOrthofOES');
   if glOrthoxOES=nil then _writetostrings(false,'glOrthoxOES') else _writetostrings(true,'glOrthoxOES');
   if glPassThroughxOES=nil then _writetostrings(false,'glPassThroughxOES') else _writetostrings(true,'glPassThroughxOES');
   if glPatchParameteri=nil then _writetostrings(false,'glPatchParameteri') else _writetostrings(true,'glPatchParameteri');
   if glPauseTransformFeedback=nil then _writetostrings(false,'glPauseTransformFeedback') else _writetostrings(true,'glPauseTransformFeedback');
   if glPixelMapx=nil then _writetostrings(false,'glPixelMapx') else _writetostrings(true,'glPixelMapx');
   if glPixelStorex=nil then _writetostrings(false,'glPixelStorex') else _writetostrings(true,'glPixelStorex');
   if glPixelTransferxOES=nil then _writetostrings(false,'glPixelTransferxOES') else _writetostrings(true,'glPixelTransferxOES');
   if glPixelZoomxOES=nil then _writetostrings(false,'glPixelZoomxOES') else _writetostrings(true,'glPixelZoomxOES');
   if glPointParameteri=nil then _writetostrings(false,'glPointParameteri') else _writetostrings(true,'glPointParameteri');
   if glPointParameteriv=nil then _writetostrings(false,'glPointParameteriv') else _writetostrings(true,'glPointParameteriv');
   if glPointParameterxOES=nil then _writetostrings(false,'glPointParameterxOES') else _writetostrings(true,'glPointParameterxOES');
   if glPointParameterxvOES=nil then _writetostrings(false,'glPointParameterxvOES') else _writetostrings(true,'glPointParameterxvOES');
   if glPointSizePointerOES=nil then _writetostrings(false,'glPointSizePointerOES') else _writetostrings(true,'glPointSizePointerOES');
   if glPointSizexOES=nil then _writetostrings(false,'glPointSizexOES') else _writetostrings(true,'glPointSizexOES');
   if glPolygonMode=nil then _writetostrings(false,'glPolygonMode') else _writetostrings(true,'glPolygonMode');
   if glPolygonOffsetClamp=nil then _writetostrings(false,'glPolygonOffsetClamp') else _writetostrings(true,'glPolygonOffsetClamp');
   if glPolygonOffsetxOES=nil then _writetostrings(false,'glPolygonOffsetxOES') else _writetostrings(true,'glPolygonOffsetxOES');
   if glPopDebugGroup=nil then _writetostrings(false,'glPopDebugGroup') else _writetostrings(true,'glPopDebugGroup');
   if glPopDebugGroupKHR=nil then _writetostrings(false,'glPopDebugGroupKHR') else _writetostrings(true,'glPopDebugGroupKHR');
   if glPopGroupMarkerEXT=nil then _writetostrings(false,'glPopGroupMarkerEXT') else _writetostrings(true,'glPopGroupMarkerEXT');
   if glPrimitiveBoundingBox=nil then _writetostrings(false,'glPrimitiveBoundingBox') else _writetostrings(true,'glPrimitiveBoundingBox');
   if glPrioritizeTextures=nil then _writetostrings(false,'glPrioritizeTextures') else _writetostrings(true,'glPrioritizeTextures');
   if glPrioritizeTexturesxOES=nil then _writetostrings(false,'glPrioritizeTexturesxOES') else _writetostrings(true,'glPrioritizeTexturesxOES');
   if glProgramBinary=nil then _writetostrings(false,'glProgramBinary') else _writetostrings(true,'glProgramBinary');
   if glProgramParameteri=nil then _writetostrings(false,'glProgramParameteri') else _writetostrings(true,'glProgramParameteri');
   if glProgramUniform1f=nil then _writetostrings(false,'glProgramUniform1f') else _writetostrings(true,'glProgramUniform1f');
   if glProgramUniform1fv=nil then _writetostrings(false,'glProgramUniform1fv') else _writetostrings(true,'glProgramUniform1fv');
   if glProgramUniform1i=nil then _writetostrings(false,'glProgramUniform1i') else _writetostrings(true,'glProgramUniform1i');
   if glProgramUniform1iv=nil then _writetostrings(false,'glProgramUniform1iv') else _writetostrings(true,'glProgramUniform1iv');
   if glProgramUniform1ui=nil then _writetostrings(false,'glProgramUniform1ui') else _writetostrings(true,'glProgramUniform1ui');
   if glProgramUniform1uiv=nil then _writetostrings(false,'glProgramUniform1uiv') else _writetostrings(true,'glProgramUniform1uiv');
   if glProgramUniform2f=nil then _writetostrings(false,'glProgramUniform2f') else _writetostrings(true,'glProgramUniform2f');
   if glProgramUniform2fv=nil then _writetostrings(false,'glProgramUniform2fv') else _writetostrings(true,'glProgramUniform2fv');
   if glProgramUniform2i=nil then _writetostrings(false,'glProgramUniform2i') else _writetostrings(true,'glProgramUniform2i');
   if glProgramUniform2iv=nil then _writetostrings(false,'glProgramUniform2iv') else _writetostrings(true,'glProgramUniform2iv');
   if glProgramUniform2ui=nil then _writetostrings(false,'glProgramUniform2ui') else _writetostrings(true,'glProgramUniform2ui');
   if glProgramUniform2uiv=nil then _writetostrings(false,'glProgramUniform2uiv') else _writetostrings(true,'glProgramUniform2uiv');
   if glProgramUniform3f=nil then _writetostrings(false,'glProgramUniform3f') else _writetostrings(true,'glProgramUniform3f');
   if glProgramUniform3fv=nil then _writetostrings(false,'glProgramUniform3fv') else _writetostrings(true,'glProgramUniform3fv');
   if glProgramUniform3i=nil then _writetostrings(false,'glProgramUniform3i') else _writetostrings(true,'glProgramUniform3i');
   if glProgramUniform3iv=nil then _writetostrings(false,'glProgramUniform3iv') else _writetostrings(true,'glProgramUniform3iv');
   if glProgramUniform3ui=nil then _writetostrings(false,'glProgramUniform3ui') else _writetostrings(true,'glProgramUniform3ui');
   if glProgramUniform3uiv=nil then _writetostrings(false,'glProgramUniform3uiv') else _writetostrings(true,'glProgramUniform3uiv');
   if glProgramUniform4f=nil then _writetostrings(false,'glProgramUniform4f') else _writetostrings(true,'glProgramUniform4f');
   if glProgramUniform4fv=nil then _writetostrings(false,'glProgramUniform4fv') else _writetostrings(true,'glProgramUniform4fv');
   if glProgramUniform4i=nil then _writetostrings(false,'glProgramUniform4i') else _writetostrings(true,'glProgramUniform4i');
   if glProgramUniform4iv=nil then _writetostrings(false,'glProgramUniform4iv') else _writetostrings(true,'glProgramUniform4iv');
   if glProgramUniform4ui=nil then _writetostrings(false,'glProgramUniform4ui') else _writetostrings(true,'glProgramUniform4ui');
   if glProgramUniform4uiv=nil then _writetostrings(false,'glProgramUniform4uiv') else _writetostrings(true,'glProgramUniform4uiv');
   if glProgramUniformHandleui64ARB=nil then _writetostrings(false,'glProgramUniformHandleui64ARB') else _writetostrings(true,'glProgramUniformHandleui64ARB');
   if glProgramUniformHandleui64vARB=nil then _writetostrings(false,'glProgramUniformHandleui64vARB') else _writetostrings(true,'glProgramUniformHandleui64vARB');
   if glProgramUniformMatrix2fv=nil then _writetostrings(false,'glProgramUniformMatrix2fv') else _writetostrings(true,'glProgramUniformMatrix2fv');
   if glProgramUniformMatrix2x3fv=nil then _writetostrings(false,'glProgramUniformMatrix2x3fv') else _writetostrings(true,'glProgramUniformMatrix2x3fv');
   if glProgramUniformMatrix2x4fv=nil then _writetostrings(false,'glProgramUniformMatrix2x4fv') else _writetostrings(true,'glProgramUniformMatrix2x4fv');
   if glProgramUniformMatrix3fv=nil then _writetostrings(false,'glProgramUniformMatrix3fv') else _writetostrings(true,'glProgramUniformMatrix3fv');
   if glProgramUniformMatrix3x2fv=nil then _writetostrings(false,'glProgramUniformMatrix3x2fv') else _writetostrings(true,'glProgramUniformMatrix3x2fv');
   if glProgramUniformMatrix3x4fv=nil then _writetostrings(false,'glProgramUniformMatrix3x4fv') else _writetostrings(true,'glProgramUniformMatrix3x4fv');
   if glProgramUniformMatrix4fv=nil then _writetostrings(false,'glProgramUniformMatrix4fv') else _writetostrings(true,'glProgramUniformMatrix4fv');
   if glProgramUniformMatrix4x2fv=nil then _writetostrings(false,'glProgramUniformMatrix4x2fv') else _writetostrings(true,'glProgramUniformMatrix4x2fv');
   if glProgramUniformMatrix4x3fv=nil then _writetostrings(false,'glProgramUniformMatrix4x3fv') else _writetostrings(true,'glProgramUniformMatrix4x3fv');
   if glProvokingVertex=nil then _writetostrings(false,'glProvokingVertex') else _writetostrings(true,'glProvokingVertex');
   if glPushDebugGroup=nil then _writetostrings(false,'glPushDebugGroup') else _writetostrings(true,'glPushDebugGroup');
   if glPushDebugGroupKHR=nil then _writetostrings(false,'glPushDebugGroupKHR') else _writetostrings(true,'glPushDebugGroupKHR');
   if glPushGroupMarkerEXT=nil then _writetostrings(false,'glPushGroupMarkerEXT') else _writetostrings(true,'glPushGroupMarkerEXT');
   if glQueryCounter=nil then _writetostrings(false,'glQueryCounter') else _writetostrings(true,'glQueryCounter');
   if glQueryMatrixxOES=nil then _writetostrings(false,'glQueryMatrixxOES') else _writetostrings(true,'glQueryMatrixxOES');
   if glRasterPos2xOES=nil then _writetostrings(false,'glRasterPos2xOES') else _writetostrings(true,'glRasterPos2xOES');
   if glRasterPos2xvOES=nil then _writetostrings(false,'glRasterPos2xvOES') else _writetostrings(true,'glRasterPos2xvOES');
   if glRasterPos3xOES=nil then _writetostrings(false,'glRasterPos3xOES') else _writetostrings(true,'glRasterPos3xOES');
   if glRasterPos3xvOES=nil then _writetostrings(false,'glRasterPos3xvOES') else _writetostrings(true,'glRasterPos3xvOES');
   if glRasterPos4xOES=nil then _writetostrings(false,'glRasterPos4xOES') else _writetostrings(true,'glRasterPos4xOES');
   if glRasterPos4xvOES=nil then _writetostrings(false,'glRasterPos4xvOES') else _writetostrings(true,'glRasterPos4xvOES');
   if glReadnPixels=nil then _writetostrings(false,'glReadnPixels') else _writetostrings(true,'glReadnPixels');
   if glReadnPixelsEXT=nil then _writetostrings(false,'glReadnPixelsEXT') else _writetostrings(true,'glReadnPixelsEXT');
   if glRectxOES=nil then _writetostrings(false,'glRectxOES') else _writetostrings(true,'glRectxOES');
   if glRectxvOES=nil then _writetostrings(false,'glRectxvOES') else _writetostrings(true,'glRectxvOES');
   if glRenderbufferStorage=nil then _writetostrings(false,'glRenderbufferStorage') else _writetostrings(true,'glRenderbufferStorage');
   if glRenderbufferStorageMultisample=nil then _writetostrings(false,'glRenderbufferStorageMultisample') else _writetostrings(true,'glRenderbufferStorageMultisample');
   if glRenderbufferStorageMultisampleAPPLE=nil then _writetostrings(false,'glRenderbufferStorageMultisampleAPPLE') else _writetostrings(true,'glRenderbufferStorageMultisampleAPPLE');
   if glRenderbufferStorageMultisampleEXT=nil then _writetostrings(false,'glRenderbufferStorageMultisampleEXT') else _writetostrings(true,'glRenderbufferStorageMultisampleEXT');
   if glRenderbufferStorageMultisampleIMG=nil then _writetostrings(false,'glRenderbufferStorageMultisampleIMG') else _writetostrings(true,'glRenderbufferStorageMultisampleIMG');
   if glRenderbufferStorageOES=nil then _writetostrings(false,'glRenderbufferStorageOES') else _writetostrings(true,'glRenderbufferStorageOES');
   if glResetHistogram=nil then _writetostrings(false,'glResetHistogram') else _writetostrings(true,'glResetHistogram');
   if glResetMinmax=nil then _writetostrings(false,'glResetMinmax') else _writetostrings(true,'glResetMinmax');
   if glResolveMultisampleFramebufferAPPLE=nil then _writetostrings(false,'glResolveMultisampleFramebufferAPPLE') else _writetostrings(true,'glResolveMultisampleFramebufferAPPLE');
   if glResumeTransformFeedback=nil then _writetostrings(false,'glResumeTransformFeedback') else _writetostrings(true,'glResumeTransformFeedback');
   if glRotatexOES=nil then _writetostrings(false,'glRotatexOES') else _writetostrings(true,'glRotatexOES');
   if glSampleCoveragexOES=nil then _writetostrings(false,'glSampleCoveragexOES') else _writetostrings(true,'glSampleCoveragexOES');
   if glSampleMaskEXT=nil then _writetostrings(false,'glSampleMaskEXT') else _writetostrings(true,'glSampleMaskEXT');
   if glSamplePatternEXT=nil then _writetostrings(false,'glSamplePatternEXT') else _writetostrings(true,'glSamplePatternEXT');
   if glSamplerParameterIiv=nil then _writetostrings(false,'glSamplerParameterIiv') else _writetostrings(true,'glSamplerParameterIiv');
   if glSamplerParameterIuiv=nil then _writetostrings(false,'glSamplerParameterIuiv') else _writetostrings(true,'glSamplerParameterIuiv');
   if glScalexOES=nil then _writetostrings(false,'glScalexOES') else _writetostrings(true,'glScalexOES');
   if glScissorArrayv=nil then _writetostrings(false,'glScissorArrayv') else _writetostrings(true,'glScissorArrayv');
   if glScissorIndexed=nil then _writetostrings(false,'glScissorIndexed') else _writetostrings(true,'glScissorIndexed');
   if glScissorIndexedv=nil then _writetostrings(false,'glScissorIndexedv') else _writetostrings(true,'glScissorIndexedv');
   if glSecondaryColor3b=nil then _writetostrings(false,'glSecondaryColor3b') else _writetostrings(true,'glSecondaryColor3b');
   if glSecondaryColor3bv=nil then _writetostrings(false,'glSecondaryColor3bv') else _writetostrings(true,'glSecondaryColor3bv');
   if glSecondaryColor3d=nil then _writetostrings(false,'glSecondaryColor3d') else _writetostrings(true,'glSecondaryColor3d');
   if glSecondaryColor3dv=nil then _writetostrings(false,'glSecondaryColor3dv') else _writetostrings(true,'glSecondaryColor3dv');
   if glSecondaryColor3f=nil then _writetostrings(false,'glSecondaryColor3f') else _writetostrings(true,'glSecondaryColor3f');
   if glSecondaryColor3fv=nil then _writetostrings(false,'glSecondaryColor3fv') else _writetostrings(true,'glSecondaryColor3fv');
   if glSecondaryColor3i=nil then _writetostrings(false,'glSecondaryColor3i') else _writetostrings(true,'glSecondaryColor3i');
   if glSecondaryColor3iv=nil then _writetostrings(false,'glSecondaryColor3iv') else _writetostrings(true,'glSecondaryColor3iv');
   if glSecondaryColor3s=nil then _writetostrings(false,'glSecondaryColor3s') else _writetostrings(true,'glSecondaryColor3s');
   if glSecondaryColor3sv=nil then _writetostrings(false,'glSecondaryColor3sv') else _writetostrings(true,'glSecondaryColor3sv');
   if glSecondaryColor3ub=nil then _writetostrings(false,'glSecondaryColor3ub') else _writetostrings(true,'glSecondaryColor3ub');
   if glSecondaryColor3ubv=nil then _writetostrings(false,'glSecondaryColor3ubv') else _writetostrings(true,'glSecondaryColor3ubv');
   if glSecondaryColor3ui=nil then _writetostrings(false,'glSecondaryColor3ui') else _writetostrings(true,'glSecondaryColor3ui');
   if glSecondaryColor3uiv=nil then _writetostrings(false,'glSecondaryColor3uiv') else _writetostrings(true,'glSecondaryColor3uiv');
   if glSecondaryColor3us=nil then _writetostrings(false,'glSecondaryColor3us') else _writetostrings(true,'glSecondaryColor3us');
   if glSecondaryColor3usv=nil then _writetostrings(false,'glSecondaryColor3usv') else _writetostrings(true,'glSecondaryColor3usv');
   if glSecondaryColorPointer=nil then _writetostrings(false,'glSecondaryColorPointer') else _writetostrings(true,'glSecondaryColorPointer');
   if glSeparableFilter2D=nil then _writetostrings(false,'glSeparableFilter2D') else _writetostrings(true,'glSeparableFilter2D');
   if glSetFenceNV=nil then _writetostrings(false,'glSetFenceNV') else _writetostrings(true,'glSetFenceNV');
   if glShaderSource=nil then _writetostrings(false,'glShaderSource') else _writetostrings(true,'glShaderSource');
   if glSpecializeShader=nil then _writetostrings(false,'glSpecializeShader') else _writetostrings(true,'glSpecializeShader');
   if glStartTilingQCOM=nil then _writetostrings(false,'glStartTilingQCOM') else _writetostrings(true,'glStartTilingQCOM');
   if glStencilOpSeparate=nil then _writetostrings(false,'glStencilOpSeparate') else _writetostrings(true,'glStencilOpSeparate');
   if glTestFenceNV=nil then _writetostrings(false,'glTestFenceNV') else _writetostrings(true,'glTestFenceNV');
   if glTexBuffer=nil then _writetostrings(false,'glTexBuffer') else _writetostrings(true,'glTexBuffer');
   if glTexBufferRange=nil then _writetostrings(false,'glTexBufferRange') else _writetostrings(true,'glTexBufferRange');
   if glTexCoord1bOES=nil then _writetostrings(false,'glTexCoord1bOES') else _writetostrings(true,'glTexCoord1bOES');
   if glTexCoord1bvOES=nil then _writetostrings(false,'glTexCoord1bvOES') else _writetostrings(true,'glTexCoord1bvOES');
   if glTexCoord1xOES=nil then _writetostrings(false,'glTexCoord1xOES') else _writetostrings(true,'glTexCoord1xOES');
   if glTexCoord1xvOES=nil then _writetostrings(false,'glTexCoord1xvOES') else _writetostrings(true,'glTexCoord1xvOES');
   if glTexCoord2bOES=nil then _writetostrings(false,'glTexCoord2bOES') else _writetostrings(true,'glTexCoord2bOES');
   if glTexCoord2bvOES=nil then _writetostrings(false,'glTexCoord2bvOES') else _writetostrings(true,'glTexCoord2bvOES');
   if glTexCoord2xOES=nil then _writetostrings(false,'glTexCoord2xOES') else _writetostrings(true,'glTexCoord2xOES');
   if glTexCoord2xvOES=nil then _writetostrings(false,'glTexCoord2xvOES') else _writetostrings(true,'glTexCoord2xvOES');
   if glTexCoord3bOES=nil then _writetostrings(false,'glTexCoord3bOES') else _writetostrings(true,'glTexCoord3bOES');
   if glTexCoord3bvOES=nil then _writetostrings(false,'glTexCoord3bvOES') else _writetostrings(true,'glTexCoord3bvOES');
   if glTexCoord3xOES=nil then _writetostrings(false,'glTexCoord3xOES') else _writetostrings(true,'glTexCoord3xOES');
   if glTexCoord3xvOES=nil then _writetostrings(false,'glTexCoord3xvOES') else _writetostrings(true,'glTexCoord3xvOES');
   if glTexCoord4bOES=nil then _writetostrings(false,'glTexCoord4bOES') else _writetostrings(true,'glTexCoord4bOES');
   if glTexCoord4bvOES=nil then _writetostrings(false,'glTexCoord4bvOES') else _writetostrings(true,'glTexCoord4bvOES');
   if glTexCoord4xOES=nil then _writetostrings(false,'glTexCoord4xOES') else _writetostrings(true,'glTexCoord4xOES');
   if glTexCoord4xvOES=nil then _writetostrings(false,'glTexCoord4xvOES') else _writetostrings(true,'glTexCoord4xvOES');
   if glTexEnvxOES=nil then _writetostrings(false,'glTexEnvxOES') else _writetostrings(true,'glTexEnvxOES');
   if glTexEnvxvOES=nil then _writetostrings(false,'glTexEnvxvOES') else _writetostrings(true,'glTexEnvxvOES');
   if glTexGenfOES=nil then _writetostrings(false,'glTexGenfOES') else _writetostrings(true,'glTexGenfOES');
   if glTexGenfvOES=nil then _writetostrings(false,'glTexGenfvOES') else _writetostrings(true,'glTexGenfvOES');
   if glTexGeniOES=nil then _writetostrings(false,'glTexGeniOES') else _writetostrings(true,'glTexGeniOES');
   if glTexGenivOES=nil then _writetostrings(false,'glTexGenivOES') else _writetostrings(true,'glTexGenivOES');
   if glTexGenxOES=nil then _writetostrings(false,'glTexGenxOES') else _writetostrings(true,'glTexGenxOES');
   if glTexGenxvOES=nil then _writetostrings(false,'glTexGenxvOES') else _writetostrings(true,'glTexGenxvOES');
   if glTexImage3D=nil then _writetostrings(false,'glTexImage3D') else _writetostrings(true,'glTexImage3D');
   if glTexPageCommitmentARB=nil then _writetostrings(false,'glTexPageCommitmentARB') else _writetostrings(true,'glTexPageCommitmentARB');
   if glTexParameterIiv=nil then _writetostrings(false,'glTexParameterIiv') else _writetostrings(true,'glTexParameterIiv');
   if glTexParameterIuiv=nil then _writetostrings(false,'glTexParameterIuiv') else _writetostrings(true,'glTexParameterIuiv');
   if glTexParameterxOES=nil then _writetostrings(false,'glTexParameterxOES') else _writetostrings(true,'glTexParameterxOES');
   if glTexParameterxvOES=nil then _writetostrings(false,'glTexParameterxvOES') else _writetostrings(true,'glTexParameterxvOES');
   if glTexStorage1D=nil then _writetostrings(false,'glTexStorage1D') else _writetostrings(true,'glTexStorage1D');
   if glTexStorage1DEXT=nil then _writetostrings(false,'glTexStorage1DEXT') else _writetostrings(true,'glTexStorage1DEXT');
   if glTexStorage2D=nil then _writetostrings(false,'glTexStorage2D') else _writetostrings(true,'glTexStorage2D');
   if glTexStorage2DEXT=nil then _writetostrings(false,'glTexStorage2DEXT') else _writetostrings(true,'glTexStorage2DEXT');
   if glTexStorage3D=nil then _writetostrings(false,'glTexStorage3D') else _writetostrings(true,'glTexStorage3D');
   if glTexStorage3DEXT=nil then _writetostrings(false,'glTexStorage3DEXT') else _writetostrings(true,'glTexStorage3DEXT');
   if glTexStorage3DMultisample=nil then _writetostrings(false,'glTexStorage3DMultisample') else _writetostrings(true,'glTexStorage3DMultisample');
   if glTexSubImage1D=nil then _writetostrings(false,'glTexSubImage1D') else _writetostrings(true,'glTexSubImage1D');
   if glTexSubImage3D=nil then _writetostrings(false,'glTexSubImage3D') else _writetostrings(true,'glTexSubImage3D');
   if glTextureStorage1DEXT=nil then _writetostrings(false,'glTextureStorage1DEXT') else _writetostrings(true,'glTextureStorage1DEXT');
   if glTextureStorage2DEXT=nil then _writetostrings(false,'glTextureStorage2DEXT') else _writetostrings(true,'glTextureStorage2DEXT');
   if glTextureStorage3DEXT=nil then _writetostrings(false,'glTextureStorage3DEXT') else _writetostrings(true,'glTextureStorage3DEXT');
   if glTextureView=nil then _writetostrings(false,'glTextureView') else _writetostrings(true,'glTextureView');
   if glTransformFeedbackVaryings=nil then _writetostrings(false,'glTransformFeedbackVaryings') else _writetostrings(true,'glTransformFeedbackVaryings');
   if glTranslatexOES=nil then _writetostrings(false,'glTranslatexOES') else _writetostrings(true,'glTranslatexOES');
   if glUniform1f=nil then _writetostrings(false,'glUniform1f') else _writetostrings(true,'glUniform1f');
   if glUniform1fv=nil then _writetostrings(false,'glUniform1fv') else _writetostrings(true,'glUniform1fv');
   if glUniform1i=nil then _writetostrings(false,'glUniform1i') else _writetostrings(true,'glUniform1i');
   if glUniform1iv=nil then _writetostrings(false,'glUniform1iv') else _writetostrings(true,'glUniform1iv');
   if glUniform1ui=nil then _writetostrings(false,'glUniform1ui') else _writetostrings(true,'glUniform1ui');
   if glUniform1uiv=nil then _writetostrings(false,'glUniform1uiv') else _writetostrings(true,'glUniform1uiv');
   if glUniform2f=nil then _writetostrings(false,'glUniform2f') else _writetostrings(true,'glUniform2f');
   if glUniform2fv=nil then _writetostrings(false,'glUniform2fv') else _writetostrings(true,'glUniform2fv');
   if glUniform2i=nil then _writetostrings(false,'glUniform2i') else _writetostrings(true,'glUniform2i');
   if glUniform2iv=nil then _writetostrings(false,'glUniform2iv') else _writetostrings(true,'glUniform2iv');
   if glUniform2ui=nil then _writetostrings(false,'glUniform2ui') else _writetostrings(true,'glUniform2ui');
   if glUniform2uiv=nil then _writetostrings(false,'glUniform2uiv') else _writetostrings(true,'glUniform2uiv');
   if glUniform3f=nil then _writetostrings(false,'glUniform3f') else _writetostrings(true,'glUniform3f');
   if glUniform3fv=nil then _writetostrings(false,'glUniform3fv') else _writetostrings(true,'glUniform3fv');
   if glUniform3i=nil then _writetostrings(false,'glUniform3i') else _writetostrings(true,'glUniform3i');
   if glUniform3iv=nil then _writetostrings(false,'glUniform3iv') else _writetostrings(true,'glUniform3iv');
   if glUniform3ui=nil then _writetostrings(false,'glUniform3ui') else _writetostrings(true,'glUniform3ui');
   if glUniform3uiv=nil then _writetostrings(false,'glUniform3uiv') else _writetostrings(true,'glUniform3uiv');
   if glUniform4f=nil then _writetostrings(false,'glUniform4f') else _writetostrings(true,'glUniform4f');
   if glUniform4fv=nil then _writetostrings(false,'glUniform4fv') else _writetostrings(true,'glUniform4fv');
   if glUniform4i=nil then _writetostrings(false,'glUniform4i') else _writetostrings(true,'glUniform4i');
   if glUniform4iv=nil then _writetostrings(false,'glUniform4iv') else _writetostrings(true,'glUniform4iv');
   if glUniform4ui=nil then _writetostrings(false,'glUniform4ui') else _writetostrings(true,'glUniform4ui');
   if glUniform4uiv=nil then _writetostrings(false,'glUniform4uiv') else _writetostrings(true,'glUniform4uiv');
   if glUniformHandleui64ARB=nil then _writetostrings(false,'glUniformHandleui64ARB') else _writetostrings(true,'glUniformHandleui64ARB');
   if glUniformHandleui64vARB=nil then _writetostrings(false,'glUniformHandleui64vARB') else _writetostrings(true,'glUniformHandleui64vARB');
   if glUniformMatrix2fv=nil then _writetostrings(false,'glUniformMatrix2fv') else _writetostrings(true,'glUniformMatrix2fv');
   if glUniformMatrix2x3fv=nil then _writetostrings(false,'glUniformMatrix2x3fv') else _writetostrings(true,'glUniformMatrix2x3fv');
   if glUniformMatrix2x4fv=nil then _writetostrings(false,'glUniformMatrix2x4fv') else _writetostrings(true,'glUniformMatrix2x4fv');
   if glUniformMatrix3fv=nil then _writetostrings(false,'glUniformMatrix3fv') else _writetostrings(true,'glUniformMatrix3fv');
   if glUniformMatrix3x2fv=nil then _writetostrings(false,'glUniformMatrix3x2fv') else _writetostrings(true,'glUniformMatrix3x2fv');
   if glUniformMatrix3x4fv=nil then _writetostrings(false,'glUniformMatrix3x4fv') else _writetostrings(true,'glUniformMatrix3x4fv');
   if glUniformMatrix4fv=nil then _writetostrings(false,'glUniformMatrix4fv') else _writetostrings(true,'glUniformMatrix4fv');
   if glUniformMatrix4x2fv=nil then _writetostrings(false,'glUniformMatrix4x2fv') else _writetostrings(true,'glUniformMatrix4x2fv');
   if glUniformMatrix4x3fv=nil then _writetostrings(false,'glUniformMatrix4x3fv') else _writetostrings(true,'glUniformMatrix4x3fv');
   if glUnmapBuffer=nil then _writetostrings(false,'glUnmapBuffer') else _writetostrings(true,'glUnmapBuffer');
   if glUnmapBufferOES=nil then _writetostrings(false,'glUnmapBufferOES') else _writetostrings(true,'glUnmapBufferOES');
   if glUseProgram=nil then _writetostrings(false,'glUseProgram') else _writetostrings(true,'glUseProgram');
   if glValidateProgram=nil then _writetostrings(false,'glValidateProgram') else _writetostrings(true,'glValidateProgram');
   if glVertex2bOES=nil then _writetostrings(false,'glVertex2bOES') else _writetostrings(true,'glVertex2bOES');
   if glVertex2bvOES=nil then _writetostrings(false,'glVertex2bvOES') else _writetostrings(true,'glVertex2bvOES');
   if glVertex2xOES=nil then _writetostrings(false,'glVertex2xOES') else _writetostrings(true,'glVertex2xOES');
   if glVertex2xvOES=nil then _writetostrings(false,'glVertex2xvOES') else _writetostrings(true,'glVertex2xvOES');
   if glVertex3bOES=nil then _writetostrings(false,'glVertex3bOES') else _writetostrings(true,'glVertex3bOES');
   if glVertex3bvOES=nil then _writetostrings(false,'glVertex3bvOES') else _writetostrings(true,'glVertex3bvOES');
   if glVertex3xOES=nil then _writetostrings(false,'glVertex3xOES') else _writetostrings(true,'glVertex3xOES');
   if glVertex3xvOES=nil then _writetostrings(false,'glVertex3xvOES') else _writetostrings(true,'glVertex3xvOES');
   if glVertex4bOES=nil then _writetostrings(false,'glVertex4bOES') else _writetostrings(true,'glVertex4bOES');
   if glVertex4bvOES=nil then _writetostrings(false,'glVertex4bvOES') else _writetostrings(true,'glVertex4bvOES');
   if glVertex4xOES=nil then _writetostrings(false,'glVertex4xOES') else _writetostrings(true,'glVertex4xOES');
   if glVertex4xvOES=nil then _writetostrings(false,'glVertex4xvOES') else _writetostrings(true,'glVertex4xvOES');
   if glVertexAttrib1d=nil then _writetostrings(false,'glVertexAttrib1d') else _writetostrings(true,'glVertexAttrib1d');
   if glVertexAttrib1dv=nil then _writetostrings(false,'glVertexAttrib1dv') else _writetostrings(true,'glVertexAttrib1dv');
   if glVertexAttrib1f=nil then _writetostrings(false,'glVertexAttrib1f') else _writetostrings(true,'glVertexAttrib1f');
   if glVertexAttrib1fv=nil then _writetostrings(false,'glVertexAttrib1fv') else _writetostrings(true,'glVertexAttrib1fv');
   if glVertexAttrib1s=nil then _writetostrings(false,'glVertexAttrib1s') else _writetostrings(true,'glVertexAttrib1s');
   if glVertexAttrib1sv=nil then _writetostrings(false,'glVertexAttrib1sv') else _writetostrings(true,'glVertexAttrib1sv');
   if glVertexAttrib2d=nil then _writetostrings(false,'glVertexAttrib2d') else _writetostrings(true,'glVertexAttrib2d');
   if glVertexAttrib2dv=nil then _writetostrings(false,'glVertexAttrib2dv') else _writetostrings(true,'glVertexAttrib2dv');
   if glVertexAttrib2f=nil then _writetostrings(false,'glVertexAttrib2f') else _writetostrings(true,'glVertexAttrib2f');
   if glVertexAttrib2fv=nil then _writetostrings(false,'glVertexAttrib2fv') else _writetostrings(true,'glVertexAttrib2fv');
   if glVertexAttrib2s=nil then _writetostrings(false,'glVertexAttrib2s') else _writetostrings(true,'glVertexAttrib2s');
   if glVertexAttrib2sv=nil then _writetostrings(false,'glVertexAttrib2sv') else _writetostrings(true,'glVertexAttrib2sv');
   if glVertexAttrib3d=nil then _writetostrings(false,'glVertexAttrib3d') else _writetostrings(true,'glVertexAttrib3d');
   if glVertexAttrib3dv=nil then _writetostrings(false,'glVertexAttrib3dv') else _writetostrings(true,'glVertexAttrib3dv');
   if glVertexAttrib3f=nil then _writetostrings(false,'glVertexAttrib3f') else _writetostrings(true,'glVertexAttrib3f');
   if glVertexAttrib3fv=nil then _writetostrings(false,'glVertexAttrib3fv') else _writetostrings(true,'glVertexAttrib3fv');
   if glVertexAttrib3s=nil then _writetostrings(false,'glVertexAttrib3s') else _writetostrings(true,'glVertexAttrib3s');
   if glVertexAttrib3sv=nil then _writetostrings(false,'glVertexAttrib3sv') else _writetostrings(true,'glVertexAttrib3sv');
   if glVertexAttrib4Nbv=nil then _writetostrings(false,'glVertexAttrib4Nbv') else _writetostrings(true,'glVertexAttrib4Nbv');
   if glVertexAttrib4Niv=nil then _writetostrings(false,'glVertexAttrib4Niv') else _writetostrings(true,'glVertexAttrib4Niv');
   if glVertexAttrib4Nsv=nil then _writetostrings(false,'glVertexAttrib4Nsv') else _writetostrings(true,'glVertexAttrib4Nsv');
   if glVertexAttrib4Nub=nil then _writetostrings(false,'glVertexAttrib4Nub') else _writetostrings(true,'glVertexAttrib4Nub');
   if glVertexAttrib4Nubv=nil then _writetostrings(false,'glVertexAttrib4Nubv') else _writetostrings(true,'glVertexAttrib4Nubv');
   if glVertexAttrib4Nuiv=nil then _writetostrings(false,'glVertexAttrib4Nuiv') else _writetostrings(true,'glVertexAttrib4Nuiv');
   if glVertexAttrib4Nusv=nil then _writetostrings(false,'glVertexAttrib4Nusv') else _writetostrings(true,'glVertexAttrib4Nusv');
   if glVertexAttrib4bv=nil then _writetostrings(false,'glVertexAttrib4bv') else _writetostrings(true,'glVertexAttrib4bv');
   if glVertexAttrib4d=nil then _writetostrings(false,'glVertexAttrib4d') else _writetostrings(true,'glVertexAttrib4d');
   if glVertexAttrib4dv=nil then _writetostrings(false,'glVertexAttrib4dv') else _writetostrings(true,'glVertexAttrib4dv');
   if glVertexAttrib4f=nil then _writetostrings(false,'glVertexAttrib4f') else _writetostrings(true,'glVertexAttrib4f');
   if glVertexAttrib4fv=nil then _writetostrings(false,'glVertexAttrib4fv') else _writetostrings(true,'glVertexAttrib4fv');
   if glVertexAttrib4iv=nil then _writetostrings(false,'glVertexAttrib4iv') else _writetostrings(true,'glVertexAttrib4iv');
   if glVertexAttrib4s=nil then _writetostrings(false,'glVertexAttrib4s') else _writetostrings(true,'glVertexAttrib4s');
   if glVertexAttrib4sv=nil then _writetostrings(false,'glVertexAttrib4sv') else _writetostrings(true,'glVertexAttrib4sv');
   if glVertexAttrib4ubv=nil then _writetostrings(false,'glVertexAttrib4ubv') else _writetostrings(true,'glVertexAttrib4ubv');
   if glVertexAttrib4uiv=nil then _writetostrings(false,'glVertexAttrib4uiv') else _writetostrings(true,'glVertexAttrib4uiv');
   if glVertexAttrib4usv=nil then _writetostrings(false,'glVertexAttrib4usv') else _writetostrings(true,'glVertexAttrib4usv');
   if glVertexAttribDivisor=nil then _writetostrings(false,'glVertexAttribDivisor') else _writetostrings(true,'glVertexAttribDivisor');
   if glVertexAttribI1i=nil then _writetostrings(false,'glVertexAttribI1i') else _writetostrings(true,'glVertexAttribI1i');
   if glVertexAttribI1iv=nil then _writetostrings(false,'glVertexAttribI1iv') else _writetostrings(true,'glVertexAttribI1iv');
   if glVertexAttribI1ui=nil then _writetostrings(false,'glVertexAttribI1ui') else _writetostrings(true,'glVertexAttribI1ui');
   if glVertexAttribI1uiv=nil then _writetostrings(false,'glVertexAttribI1uiv') else _writetostrings(true,'glVertexAttribI1uiv');
   if glVertexAttribI2i=nil then _writetostrings(false,'glVertexAttribI2i') else _writetostrings(true,'glVertexAttribI2i');
   if glVertexAttribI2iv=nil then _writetostrings(false,'glVertexAttribI2iv') else _writetostrings(true,'glVertexAttribI2iv');
   if glVertexAttribI2ui=nil then _writetostrings(false,'glVertexAttribI2ui') else _writetostrings(true,'glVertexAttribI2ui');
   if glVertexAttribI2uiv=nil then _writetostrings(false,'glVertexAttribI2uiv') else _writetostrings(true,'glVertexAttribI2uiv');
   if glVertexAttribI3i=nil then _writetostrings(false,'glVertexAttribI3i') else _writetostrings(true,'glVertexAttribI3i');
   if glVertexAttribI3iv=nil then _writetostrings(false,'glVertexAttribI3iv') else _writetostrings(true,'glVertexAttribI3iv');
   if glVertexAttribI3ui=nil then _writetostrings(false,'glVertexAttribI3ui') else _writetostrings(true,'glVertexAttribI3ui');
   if glVertexAttribI3uiv=nil then _writetostrings(false,'glVertexAttribI3uiv') else _writetostrings(true,'glVertexAttribI3uiv');
   if glVertexAttribI4bv=nil then _writetostrings(false,'glVertexAttribI4bv') else _writetostrings(true,'glVertexAttribI4bv');
   if glVertexAttribI4i=nil then _writetostrings(false,'glVertexAttribI4i') else _writetostrings(true,'glVertexAttribI4i');
   if glVertexAttribI4iv=nil then _writetostrings(false,'glVertexAttribI4iv') else _writetostrings(true,'glVertexAttribI4iv');
   if glVertexAttribI4sv=nil then _writetostrings(false,'glVertexAttribI4sv') else _writetostrings(true,'glVertexAttribI4sv');
   if glVertexAttribI4ubv=nil then _writetostrings(false,'glVertexAttribI4ubv') else _writetostrings(true,'glVertexAttribI4ubv');
   if glVertexAttribI4ui=nil then _writetostrings(false,'glVertexAttribI4ui') else _writetostrings(true,'glVertexAttribI4ui');
   if glVertexAttribI4uiv=nil then _writetostrings(false,'glVertexAttribI4uiv') else _writetostrings(true,'glVertexAttribI4uiv');
   if glVertexAttribI4usv=nil then _writetostrings(false,'glVertexAttribI4usv') else _writetostrings(true,'glVertexAttribI4usv');
   if glVertexAttribIPointer=nil then _writetostrings(false,'glVertexAttribIPointer') else _writetostrings(true,'glVertexAttribIPointer');
   if glVertexAttribL1d=nil then _writetostrings(false,'glVertexAttribL1d') else _writetostrings(true,'glVertexAttribL1d');
   if glVertexAttribL1dv=nil then _writetostrings(false,'glVertexAttribL1dv') else _writetostrings(true,'glVertexAttribL1dv');
   if glVertexAttribL2d=nil then _writetostrings(false,'glVertexAttribL2d') else _writetostrings(true,'glVertexAttribL2d');
   if glVertexAttribL2dv=nil then _writetostrings(false,'glVertexAttribL2dv') else _writetostrings(true,'glVertexAttribL2dv');
   if glVertexAttribL3d=nil then _writetostrings(false,'glVertexAttribL3d') else _writetostrings(true,'glVertexAttribL3d');
   if glVertexAttribL3dv=nil then _writetostrings(false,'glVertexAttribL3dv') else _writetostrings(true,'glVertexAttribL3dv');
   if glVertexAttribL4d=nil then _writetostrings(false,'glVertexAttribL4d') else _writetostrings(true,'glVertexAttribL4d');
   if glVertexAttribL4dv=nil then _writetostrings(false,'glVertexAttribL4dv') else _writetostrings(true,'glVertexAttribL4dv');
   if glVertexAttribLPointer=nil then _writetostrings(false,'glVertexAttribLPointer') else _writetostrings(true,'glVertexAttribLPointer');
   if glVertexAttribPointer=nil then _writetostrings(false,'glVertexAttribPointer') else _writetostrings(true,'glVertexAttribPointer');
   if glViewportArrayv=nil then _writetostrings(false,'glViewportArrayv') else _writetostrings(true,'glViewportArrayv');
   if glViewportIndexedf=nil then _writetostrings(false,'glViewportIndexedf') else _writetostrings(true,'glViewportIndexedf');
   if glViewportIndexedfv=nil then _writetostrings(false,'glViewportIndexedfv') else _writetostrings(true,'glViewportIndexedfv');
   if glWaitSync=nil then _writetostrings(false,'glWaitSync') else _writetostrings(true,'glWaitSync');
   if glWaitSyncAPPLE=nil then _writetostrings(false,'glWaitSyncAPPLE') else _writetostrings(true,'glWaitSyncAPPLE');
   if glWeightPointerOES=nil then _writetostrings(false,'glWeightPointerOES') else _writetostrings(true,'glWeightPointerOES');
   if glWindowPos2d=nil then _writetostrings(false,'glWindowPos2d') else _writetostrings(true,'glWindowPos2d');
   if glWindowPos2dv=nil then _writetostrings(false,'glWindowPos2dv') else _writetostrings(true,'glWindowPos2dv');
   if glWindowPos2f=nil then _writetostrings(false,'glWindowPos2f') else _writetostrings(true,'glWindowPos2f');
   if glWindowPos2fv=nil then _writetostrings(false,'glWindowPos2fv') else _writetostrings(true,'glWindowPos2fv');
   if glWindowPos2i=nil then _writetostrings(false,'glWindowPos2i') else _writetostrings(true,'glWindowPos2i');
   if glWindowPos2iv=nil then _writetostrings(false,'glWindowPos2iv') else _writetostrings(true,'glWindowPos2iv');
   if glWindowPos2s=nil then _writetostrings(false,'glWindowPos2s') else _writetostrings(true,'glWindowPos2s');
   if glWindowPos2sv=nil then _writetostrings(false,'glWindowPos2sv') else _writetostrings(true,'glWindowPos2sv');
   if glWindowPos3d=nil then _writetostrings(false,'glWindowPos3d') else _writetostrings(true,'glWindowPos3d');
   if glWindowPos3dv=nil then _writetostrings(false,'glWindowPos3dv') else _writetostrings(true,'glWindowPos3dv');
   if glWindowPos3f=nil then _writetostrings(false,'glWindowPos3f') else _writetostrings(true,'glWindowPos3f');
   if glWindowPos3fv=nil then _writetostrings(false,'glWindowPos3fv') else _writetostrings(true,'glWindowPos3fv');
   if glWindowPos3i=nil then _writetostrings(false,'glWindowPos3i') else _writetostrings(true,'glWindowPos3i');
   if glWindowPos3iv=nil then _writetostrings(false,'glWindowPos3iv') else _writetostrings(true,'glWindowPos3iv');
   if glWindowPos3s=nil then _writetostrings(false,'glWindowPos3s') else _writetostrings(true,'glWindowPos3s');
   if glWindowPos3sv=nil then _writetostrings(false,'glWindowPos3sv') else _writetostrings(true,'glWindowPos3sv');
 
//----- EGL ------
 
//------- EGL_VERSION_1_0----------------
   if eglChooseConfig=nil then _writetostrings(false,'eglChooseConfig') else _writetostrings(true,'eglChooseConfig');
   if eglCopyBuffers=nil then _writetostrings(false,'eglCopyBuffers') else _writetostrings(true,'eglCopyBuffers');
   if eglCreateContext=nil then _writetostrings(false,'eglCreateContext') else _writetostrings(true,'eglCreateContext');
   if eglCreatePbufferSurface=nil then _writetostrings(false,'eglCreatePbufferSurface') else _writetostrings(true,'eglCreatePbufferSurface');
   if eglCreatePixmapSurface=nil then _writetostrings(false,'eglCreatePixmapSurface') else _writetostrings(true,'eglCreatePixmapSurface');
   if eglCreateWindowSurface=nil then _writetostrings(false,'eglCreateWindowSurface') else _writetostrings(true,'eglCreateWindowSurface');
   if eglDestroyContext=nil then _writetostrings(false,'eglDestroyContext') else _writetostrings(true,'eglDestroyContext');
   if eglDestroySurface=nil then _writetostrings(false,'eglDestroySurface') else _writetostrings(true,'eglDestroySurface');
   if eglGetConfigAttrib=nil then _writetostrings(false,'eglGetConfigAttrib') else _writetostrings(true,'eglGetConfigAttrib');
   if eglGetConfigs=nil then _writetostrings(false,'eglGetConfigs') else _writetostrings(true,'eglGetConfigs');
   if eglGetCurrentDisplay=nil then _writetostrings(false,'eglGetCurrentDisplay') else _writetostrings(true,'eglGetCurrentDisplay');
   if eglGetCurrentSurface=nil then _writetostrings(false,'eglGetCurrentSurface') else _writetostrings(true,'eglGetCurrentSurface');
   if eglGetDisplay=nil then _writetostrings(false,'eglGetDisplay') else _writetostrings(true,'eglGetDisplay');
   if eglGetError=nil then _writetostrings(false,'eglGetError') else _writetostrings(true,'eglGetError');
   if eglGetProcAddress=nil then _writetostrings(false,'eglGetProcAddress') else _writetostrings(true,'eglGetProcAddress');
   if eglInitialize=nil then _writetostrings(false,'eglInitialize') else _writetostrings(true,'eglInitialize');
   if eglMakeCurrent=nil then _writetostrings(false,'eglMakeCurrent') else _writetostrings(true,'eglMakeCurrent');
   if eglQueryContext=nil then _writetostrings(false,'eglQueryContext') else _writetostrings(true,'eglQueryContext');
   if eglQueryString=nil then _writetostrings(false,'eglQueryString') else _writetostrings(true,'eglQueryString');
   if eglQuerySurface=nil then _writetostrings(false,'eglQuerySurface') else _writetostrings(true,'eglQuerySurface');
   if eglSwapBuffers=nil then _writetostrings(false,'eglSwapBuffers') else _writetostrings(true,'eglSwapBuffers');
   if eglTerminate=nil then _writetostrings(false,'eglTerminate') else _writetostrings(true,'eglTerminate');
   if eglWaitGL=nil then _writetostrings(false,'eglWaitGL') else _writetostrings(true,'eglWaitGL');
   if eglWaitNative=nil then _writetostrings(false,'eglWaitNative') else _writetostrings(true,'eglWaitNative');
 
//------- EGL_VERSION_1_1----------------
   if eglBindTexImage=nil then _writetostrings(false,'eglBindTexImage') else _writetostrings(true,'eglBindTexImage');
   if eglReleaseTexImage=nil then _writetostrings(false,'eglReleaseTexImage') else _writetostrings(true,'eglReleaseTexImage');
   if eglSurfaceAttrib=nil then _writetostrings(false,'eglSurfaceAttrib') else _writetostrings(true,'eglSurfaceAttrib');
   if eglSwapInterval=nil then _writetostrings(false,'eglSwapInterval') else _writetostrings(true,'eglSwapInterval');
 
//------- EGL_VERSION_1_2----------------
   if eglBindAPI=nil then _writetostrings(false,'eglBindAPI') else _writetostrings(true,'eglBindAPI');
   if eglQueryAPI=nil then _writetostrings(false,'eglQueryAPI') else _writetostrings(true,'eglQueryAPI');
   if eglCreatePbufferFromClientBuffer=nil then _writetostrings(false,'eglCreatePbufferFromClientBuffer') else _writetostrings(true,'eglCreatePbufferFromClientBuffer');
   if eglReleaseThread=nil then _writetostrings(false,'eglReleaseThread') else _writetostrings(true,'eglReleaseThread');
   if eglWaitClient=nil then _writetostrings(false,'eglWaitClient') else _writetostrings(true,'eglWaitClient');
 
//------- EGL_VERSION_1_3----------------
 
//------- EGL_VERSION_1_4----------------
   if eglGetCurrentContext=nil then _writetostrings(false,'eglGetCurrentContext') else _writetostrings(true,'eglGetCurrentContext');
 
//------- EGL_VERSION_1_5----------------
   if eglCreateSync=nil then _writetostrings(false,'eglCreateSync') else _writetostrings(true,'eglCreateSync');
   if eglDestroySync=nil then _writetostrings(false,'eglDestroySync') else _writetostrings(true,'eglDestroySync');
   if eglClientWaitSync=nil then _writetostrings(false,'eglClientWaitSync') else _writetostrings(true,'eglClientWaitSync');
   if eglGetSyncAttrib=nil then _writetostrings(false,'eglGetSyncAttrib') else _writetostrings(true,'eglGetSyncAttrib');
   if eglCreateImage=nil then _writetostrings(false,'eglCreateImage') else _writetostrings(true,'eglCreateImage');
   if eglDestroyImage=nil then _writetostrings(false,'eglDestroyImage') else _writetostrings(true,'eglDestroyImage');
   if eglGetPlatformDisplay=nil then _writetostrings(false,'eglGetPlatformDisplay') else _writetostrings(true,'eglGetPlatformDisplay');
   if eglCreatePlatformWindowSurface=nil then _writetostrings(false,'eglCreatePlatformWindowSurface') else _writetostrings(true,'eglCreatePlatformWindowSurface');
   if eglCreatePlatformPixmapSurface=nil then _writetostrings(false,'eglCreatePlatformPixmapSurface') else _writetostrings(true,'eglCreatePlatformPixmapSurface');
   if eglWaitSync=nil then _writetostrings(false,'eglWaitSync') else _writetostrings(true,'eglWaitSync');
 
//------- Other ----------------
   if eglClientSignalSyncEXT=nil then _writetostrings(false,'eglClientSignalSyncEXT') else _writetostrings(true,'eglClientSignalSyncEXT');
   if eglClientWaitSyncKHR=nil then _writetostrings(false,'eglClientWaitSyncKHR') else _writetostrings(true,'eglClientWaitSyncKHR');
   if eglClientWaitSyncNV=nil then _writetostrings(false,'eglClientWaitSyncNV') else _writetostrings(true,'eglClientWaitSyncNV');
   if eglCreateDRMImageMESA=nil then _writetostrings(false,'eglCreateDRMImageMESA') else _writetostrings(true,'eglCreateDRMImageMESA');
   if eglCreateFenceSyncNV=nil then _writetostrings(false,'eglCreateFenceSyncNV') else _writetostrings(true,'eglCreateFenceSyncNV');
   if eglCreateImageKHR=nil then _writetostrings(false,'eglCreateImageKHR') else _writetostrings(true,'eglCreateImageKHR');
   if eglCreateNativeClientBufferANDROID=nil then _writetostrings(false,'eglCreateNativeClientBufferANDROID') else _writetostrings(true,'eglCreateNativeClientBufferANDROID');
   if eglCreatePixmapSurfaceHI=nil then _writetostrings(false,'eglCreatePixmapSurfaceHI') else _writetostrings(true,'eglCreatePixmapSurfaceHI');
   if eglCreatePlatformPixmapSurfaceEXT=nil then _writetostrings(false,'eglCreatePlatformPixmapSurfaceEXT') else _writetostrings(true,'eglCreatePlatformPixmapSurfaceEXT');
   if eglCreatePlatformWindowSurfaceEXT=nil then _writetostrings(false,'eglCreatePlatformWindowSurfaceEXT') else _writetostrings(true,'eglCreatePlatformWindowSurfaceEXT');
   if eglCreateStreamFromFileDescriptorKHR=nil then _writetostrings(false,'eglCreateStreamFromFileDescriptorKHR') else _writetostrings(true,'eglCreateStreamFromFileDescriptorKHR');
   if eglCreateStreamKHR=nil then _writetostrings(false,'eglCreateStreamKHR') else _writetostrings(true,'eglCreateStreamKHR');
   if eglCreateStreamAttribKHR=nil then _writetostrings(false,'eglCreateStreamAttribKHR') else _writetostrings(true,'eglCreateStreamAttribKHR');
   if eglCreateStreamProducerSurfaceKHR=nil then _writetostrings(false,'eglCreateStreamProducerSurfaceKHR') else _writetostrings(true,'eglCreateStreamProducerSurfaceKHR');
   if eglCreateStreamSyncNV=nil then _writetostrings(false,'eglCreateStreamSyncNV') else _writetostrings(true,'eglCreateStreamSyncNV');
   if eglCreateSyncKHR=nil then _writetostrings(false,'eglCreateSyncKHR') else _writetostrings(true,'eglCreateSyncKHR');
   if eglCreateSync64KHR=nil then _writetostrings(false,'eglCreateSync64KHR') else _writetostrings(true,'eglCreateSync64KHR');
   if eglDebugMessageControlKHR=nil then _writetostrings(false,'eglDebugMessageControlKHR') else _writetostrings(true,'eglDebugMessageControlKHR');
   if eglDestroyImageKHR=nil then _writetostrings(false,'eglDestroyImageKHR') else _writetostrings(true,'eglDestroyImageKHR');
   if eglDestroyStreamKHR=nil then _writetostrings(false,'eglDestroyStreamKHR') else _writetostrings(true,'eglDestroyStreamKHR');
   if eglDestroySyncKHR=nil then _writetostrings(false,'eglDestroySyncKHR') else _writetostrings(true,'eglDestroySyncKHR');
   if eglDestroySyncNV=nil then _writetostrings(false,'eglDestroySyncNV') else _writetostrings(true,'eglDestroySyncNV');
   if eglDupNativeFenceFDANDROID=nil then _writetostrings(false,'eglDupNativeFenceFDANDROID') else _writetostrings(true,'eglDupNativeFenceFDANDROID');
   if eglExportDMABUFImageMESA=nil then _writetostrings(false,'eglExportDMABUFImageMESA') else _writetostrings(true,'eglExportDMABUFImageMESA');
   if eglExportDMABUFImageQueryMESA=nil then _writetostrings(false,'eglExportDMABUFImageQueryMESA') else _writetostrings(true,'eglExportDMABUFImageQueryMESA');
   if eglExportDRMImageMESA=nil then _writetostrings(false,'eglExportDRMImageMESA') else _writetostrings(true,'eglExportDRMImageMESA');
   if eglFenceNV=nil then _writetostrings(false,'eglFenceNV') else _writetostrings(true,'eglFenceNV');
   if eglGetDisplayDriverConfig=nil then _writetostrings(false,'eglGetDisplayDriverConfig') else _writetostrings(true,'eglGetDisplayDriverConfig');
   if eglGetDisplayDriverName=nil then _writetostrings(false,'eglGetDisplayDriverName') else _writetostrings(true,'eglGetDisplayDriverName');
   if eglGetNativeClientBufferANDROID=nil then _writetostrings(false,'eglGetNativeClientBufferANDROID') else _writetostrings(true,'eglGetNativeClientBufferANDROID');
   if eglGetOutputLayersEXT=nil then _writetostrings(false,'eglGetOutputLayersEXT') else _writetostrings(true,'eglGetOutputLayersEXT');
   if eglGetOutputPortsEXT=nil then _writetostrings(false,'eglGetOutputPortsEXT') else _writetostrings(true,'eglGetOutputPortsEXT');
   if eglGetPlatformDisplayEXT=nil then _writetostrings(false,'eglGetPlatformDisplayEXT') else _writetostrings(true,'eglGetPlatformDisplayEXT');
   if eglGetStreamFileDescriptorKHR=nil then _writetostrings(false,'eglGetStreamFileDescriptorKHR') else _writetostrings(true,'eglGetStreamFileDescriptorKHR');
   if eglGetSyncAttribKHR=nil then _writetostrings(false,'eglGetSyncAttribKHR') else _writetostrings(true,'eglGetSyncAttribKHR');
   if eglGetSyncAttribNV=nil then _writetostrings(false,'eglGetSyncAttribNV') else _writetostrings(true,'eglGetSyncAttribNV');
   if eglGetSystemTimeFrequencyNV=nil then _writetostrings(false,'eglGetSystemTimeFrequencyNV') else _writetostrings(true,'eglGetSystemTimeFrequencyNV');
   if eglGetSystemTimeNV=nil then _writetostrings(false,'eglGetSystemTimeNV') else _writetostrings(true,'eglGetSystemTimeNV');
   if eglLabelObjectKHR=nil then _writetostrings(false,'eglLabelObjectKHR') else _writetostrings(true,'eglLabelObjectKHR');
   if eglLockSurfaceKHR=nil then _writetostrings(false,'eglLockSurfaceKHR') else _writetostrings(true,'eglLockSurfaceKHR');
   if eglOutputLayerAttribEXT=nil then _writetostrings(false,'eglOutputLayerAttribEXT') else _writetostrings(true,'eglOutputLayerAttribEXT');
   if eglOutputPortAttribEXT=nil then _writetostrings(false,'eglOutputPortAttribEXT') else _writetostrings(true,'eglOutputPortAttribEXT');
   if eglPostSubBufferNV=nil then _writetostrings(false,'eglPostSubBufferNV') else _writetostrings(true,'eglPostSubBufferNV');
   if eglPresentationTimeANDROID=nil then _writetostrings(false,'eglPresentationTimeANDROID') else _writetostrings(true,'eglPresentationTimeANDROID');
   if eglGetCompositorTimingSupportedANDROID=nil then _writetostrings(false,'eglGetCompositorTimingSupportedANDROID') else _writetostrings(true,'eglGetCompositorTimingSupportedANDROID');
   if eglGetCompositorTimingANDROID=nil then _writetostrings(false,'eglGetCompositorTimingANDROID') else _writetostrings(true,'eglGetCompositorTimingANDROID');
   if eglGetNextFrameIdANDROID=nil then _writetostrings(false,'eglGetNextFrameIdANDROID') else _writetostrings(true,'eglGetNextFrameIdANDROID');
   if eglGetFrameTimestampSupportedANDROID=nil then _writetostrings(false,'eglGetFrameTimestampSupportedANDROID') else _writetostrings(true,'eglGetFrameTimestampSupportedANDROID');
   if eglGetFrameTimestampsANDROID=nil then _writetostrings(false,'eglGetFrameTimestampsANDROID') else _writetostrings(true,'eglGetFrameTimestampsANDROID');
   if eglQueryDebugKHR=nil then _writetostrings(false,'eglQueryDebugKHR') else _writetostrings(true,'eglQueryDebugKHR');
   if eglQueryDeviceAttribEXT=nil then _writetostrings(false,'eglQueryDeviceAttribEXT') else _writetostrings(true,'eglQueryDeviceAttribEXT');
   if eglQueryDeviceStringEXT=nil then _writetostrings(false,'eglQueryDeviceStringEXT') else _writetostrings(true,'eglQueryDeviceStringEXT');
   if eglQueryDevicesEXT=nil then _writetostrings(false,'eglQueryDevicesEXT') else _writetostrings(true,'eglQueryDevicesEXT');
   if eglQueryDisplayAttribEXT=nil then _writetostrings(false,'eglQueryDisplayAttribEXT') else _writetostrings(true,'eglQueryDisplayAttribEXT');
   if eglQueryDisplayAttribKHR=nil then _writetostrings(false,'eglQueryDisplayAttribKHR') else _writetostrings(true,'eglQueryDisplayAttribKHR');
   if eglQueryDisplayAttribNV=nil then _writetostrings(false,'eglQueryDisplayAttribNV') else _writetostrings(true,'eglQueryDisplayAttribNV');
   if eglQueryDmaBufFormatsEXT=nil then _writetostrings(false,'eglQueryDmaBufFormatsEXT') else _writetostrings(true,'eglQueryDmaBufFormatsEXT');
   if eglQueryDmaBufModifiersEXT=nil then _writetostrings(false,'eglQueryDmaBufModifiersEXT') else _writetostrings(true,'eglQueryDmaBufModifiersEXT');
   if eglQueryNativeDisplayNV=nil then _writetostrings(false,'eglQueryNativeDisplayNV') else _writetostrings(true,'eglQueryNativeDisplayNV');
   if eglQueryNativePixmapNV=nil then _writetostrings(false,'eglQueryNativePixmapNV') else _writetostrings(true,'eglQueryNativePixmapNV');
   if eglQueryNativeWindowNV=nil then _writetostrings(false,'eglQueryNativeWindowNV') else _writetostrings(true,'eglQueryNativeWindowNV');
   if eglQueryOutputLayerAttribEXT=nil then _writetostrings(false,'eglQueryOutputLayerAttribEXT') else _writetostrings(true,'eglQueryOutputLayerAttribEXT');
   if eglQueryOutputLayerStringEXT=nil then _writetostrings(false,'eglQueryOutputLayerStringEXT') else _writetostrings(true,'eglQueryOutputLayerStringEXT');
   if eglQueryOutputPortAttribEXT=nil then _writetostrings(false,'eglQueryOutputPortAttribEXT') else _writetostrings(true,'eglQueryOutputPortAttribEXT');
   if eglQueryOutputPortStringEXT=nil then _writetostrings(false,'eglQueryOutputPortStringEXT') else _writetostrings(true,'eglQueryOutputPortStringEXT');
   if eglQueryStreamKHR=nil then _writetostrings(false,'eglQueryStreamKHR') else _writetostrings(true,'eglQueryStreamKHR');
   if eglQueryStreamAttribKHR=nil then _writetostrings(false,'eglQueryStreamAttribKHR') else _writetostrings(true,'eglQueryStreamAttribKHR');
   if eglQueryStreamMetadataNV=nil then _writetostrings(false,'eglQueryStreamMetadataNV') else _writetostrings(true,'eglQueryStreamMetadataNV');
   if eglQueryStreamTimeKHR=nil then _writetostrings(false,'eglQueryStreamTimeKHR') else _writetostrings(true,'eglQueryStreamTimeKHR');
   if eglQueryStreamu64KHR=nil then _writetostrings(false,'eglQueryStreamu64KHR') else _writetostrings(true,'eglQueryStreamu64KHR');
   if eglQuerySurface64KHR=nil then _writetostrings(false,'eglQuerySurface64KHR') else _writetostrings(true,'eglQuerySurface64KHR');
   if eglQuerySurfacePointerANGLE=nil then _writetostrings(false,'eglQuerySurfacePointerANGLE') else _writetostrings(true,'eglQuerySurfacePointerANGLE');
   if eglResetStreamNV=nil then _writetostrings(false,'eglResetStreamNV') else _writetostrings(true,'eglResetStreamNV');
   if eglSetBlobCacheFuncsANDROID=nil then _writetostrings(false,'eglSetBlobCacheFuncsANDROID') else _writetostrings(true,'eglSetBlobCacheFuncsANDROID');
   if eglSetDamageRegionKHR=nil then _writetostrings(false,'eglSetDamageRegionKHR') else _writetostrings(true,'eglSetDamageRegionKHR');
   if eglSetStreamAttribKHR=nil then _writetostrings(false,'eglSetStreamAttribKHR') else _writetostrings(true,'eglSetStreamAttribKHR');
   if eglSetStreamMetadataNV=nil then _writetostrings(false,'eglSetStreamMetadataNV') else _writetostrings(true,'eglSetStreamMetadataNV');
   if eglSignalSyncKHR=nil then _writetostrings(false,'eglSignalSyncKHR') else _writetostrings(true,'eglSignalSyncKHR');
   if eglSignalSyncNV=nil then _writetostrings(false,'eglSignalSyncNV') else _writetostrings(true,'eglSignalSyncNV');
   if eglStreamAttribKHR=nil then _writetostrings(false,'eglStreamAttribKHR') else _writetostrings(true,'eglStreamAttribKHR');
   if eglStreamConsumerAcquireKHR=nil then _writetostrings(false,'eglStreamConsumerAcquireKHR') else _writetostrings(true,'eglStreamConsumerAcquireKHR');
   if eglStreamConsumerAcquireAttribKHR=nil then _writetostrings(false,'eglStreamConsumerAcquireAttribKHR') else _writetostrings(true,'eglStreamConsumerAcquireAttribKHR');
   if eglStreamConsumerGLTextureExternalKHR=nil then _writetostrings(false,'eglStreamConsumerGLTextureExternalKHR') else _writetostrings(true,'eglStreamConsumerGLTextureExternalKHR');
   if eglStreamConsumerGLTextureExternalAttribsNV=nil then _writetostrings(false,'eglStreamConsumerGLTextureExternalAttribsNV') else _writetostrings(true,'eglStreamConsumerGLTextureExternalAttribsNV');
   if eglStreamConsumerOutputEXT=nil then _writetostrings(false,'eglStreamConsumerOutputEXT') else _writetostrings(true,'eglStreamConsumerOutputEXT');
   if eglStreamConsumerReleaseKHR=nil then _writetostrings(false,'eglStreamConsumerReleaseKHR') else _writetostrings(true,'eglStreamConsumerReleaseKHR');
   if eglStreamConsumerReleaseAttribKHR=nil then _writetostrings(false,'eglStreamConsumerReleaseAttribKHR') else _writetostrings(true,'eglStreamConsumerReleaseAttribKHR');
   if eglStreamFlushNV=nil then _writetostrings(false,'eglStreamFlushNV') else _writetostrings(true,'eglStreamFlushNV');
   if eglSwapBuffersWithDamageEXT=nil then _writetostrings(false,'eglSwapBuffersWithDamageEXT') else _writetostrings(true,'eglSwapBuffersWithDamageEXT');
   if eglSwapBuffersWithDamageKHR=nil then _writetostrings(false,'eglSwapBuffersWithDamageKHR') else _writetostrings(true,'eglSwapBuffersWithDamageKHR');
   if eglSwapBuffersRegionNOK=nil then _writetostrings(false,'eglSwapBuffersRegionNOK') else _writetostrings(true,'eglSwapBuffersRegionNOK');
   if eglSwapBuffersRegion2NOK=nil then _writetostrings(false,'eglSwapBuffersRegion2NOK') else _writetostrings(true,'eglSwapBuffersRegion2NOK');
   if eglUnlockSurfaceKHR=nil then _writetostrings(false,'eglUnlockSurfaceKHR') else _writetostrings(true,'eglUnlockSurfaceKHR');
   if eglUnsignalSyncEXT=nil then _writetostrings(false,'eglUnsignalSyncEXT') else _writetostrings(true,'eglUnsignalSyncEXT');
   if eglWaitSyncKHR=nil then _writetostrings(false,'eglWaitSyncKHR') else _writetostrings(true,'eglWaitSyncKHR');
   if eglCompositorSetContextListEXT=nil then _writetostrings(false,'eglCompositorSetContextListEXT') else _writetostrings(true,'eglCompositorSetContextListEXT');
   if eglCompositorSetContextAttributesEXT=nil then _writetostrings(false,'eglCompositorSetContextAttributesEXT') else _writetostrings(true,'eglCompositorSetContextAttributesEXT');
   if eglCompositorSetWindowListEXT=nil then _writetostrings(false,'eglCompositorSetWindowListEXT') else _writetostrings(true,'eglCompositorSetWindowListEXT');
   if eglCompositorSetWindowAttributesEXT=nil then _writetostrings(false,'eglCompositorSetWindowAttributesEXT') else _writetostrings(true,'eglCompositorSetWindowAttributesEXT');
   if eglCompositorBindTexWindowEXT=nil then _writetostrings(false,'eglCompositorBindTexWindowEXT') else _writetostrings(true,'eglCompositorBindTexWindowEXT');
   if eglCompositorSetSizeEXT=nil then _writetostrings(false,'eglCompositorSetSizeEXT') else _writetostrings(true,'eglCompositorSetSizeEXT');
   if eglCompositorSwapPolicyEXT=nil then _writetostrings(false,'eglCompositorSwapPolicyEXT') else _writetostrings(true,'eglCompositorSwapPolicyEXT');
   if eglBindWaylandDisplayWL=nil then _writetostrings(false,'eglBindWaylandDisplayWL') else _writetostrings(true,'eglBindWaylandDisplayWL');
   if eglUnbindWaylandDisplayWL=nil then _writetostrings(false,'eglUnbindWaylandDisplayWL') else _writetostrings(true,'eglUnbindWaylandDisplayWL');
   if eglQueryWaylandBufferWL=nil then _writetostrings(false,'eglQueryWaylandBufferWL') else _writetostrings(true,'eglQueryWaylandBufferWL');
   if eglCreateWaylandBufferFromImageWL=nil then _writetostrings(false,'eglCreateWaylandBufferFromImageWL') else _writetostrings(true,'eglCreateWaylandBufferFromImageWL');
   if eglStreamImageConsumerConnectNV=nil then _writetostrings(false,'eglStreamImageConsumerConnectNV') else _writetostrings(true,'eglStreamImageConsumerConnectNV');
   if eglQueryStreamConsumerEventNV=nil then _writetostrings(false,'eglQueryStreamConsumerEventNV') else _writetostrings(true,'eglQueryStreamConsumerEventNV');
   if eglStreamAcquireImageNV=nil then _writetostrings(false,'eglStreamAcquireImageNV') else _writetostrings(true,'eglStreamAcquireImageNV');
   if eglStreamReleaseImageNV=nil then _writetostrings(false,'eglStreamReleaseImageNV') else _writetostrings(true,'eglStreamReleaseImageNV');
 
   aOutStrings.EndUpdate;

end;

function OpenGLES_WriteExtensionsReport(aOutStrings:TStrings; const atype:integer=0): Boolean;
//................................................
procedure _writetostrings(const isok:boolean;const astr:string);
begin
  case atype of
   -1:begin  // -1 Gives only the name of Reports, NOT and the status
      aOutStrings.add(astr);
      exit;
   end;
   0:begin
      if isok then
       aOutStrings.add(astr+'  (=TRUE)') else
       aOutStrings.add(astr+'  (=FALSE) ???');
      exit;
   end;
  1: begin
     if isok=false then
       aOutStrings.add(astr+'  (=FALSE) ???');
     exit;
   end;

   2:begin
     if isok=True then
       aOutStrings.add(astr+'  (=TRUE)');
     exit;
     end;

  end;
end;
//.................................................
 begin
   Result:=OpenGLESLib_InitOK;
   if Result=false then exit;
   if aOutStrings=nil then exit;

   aOutStrings.BeginUpdate;
 
//============= OpenGL Extensions ===========================
 
   if GL_AMD_compressed_3DC_texture=false then _writetostrings(false,'GL_AMD_compressed_3DC_texture') else _writetostrings(true,'GL_AMD_compressed_3DC_texture');
   if GL_AMD_compressed_ATC_texture=false then _writetostrings(false,'GL_AMD_compressed_ATC_texture') else _writetostrings(true,'GL_AMD_compressed_ATC_texture');
   if GL_APPLE_copy_texture_levels=false then _writetostrings(false,'GL_APPLE_copy_texture_levels') else _writetostrings(true,'GL_APPLE_copy_texture_levels');
   if GL_APPLE_framebuffer_multisample=false then _writetostrings(false,'GL_APPLE_framebuffer_multisample') else _writetostrings(true,'GL_APPLE_framebuffer_multisample');
   if GL_APPLE_sync=false then _writetostrings(false,'GL_APPLE_sync') else _writetostrings(true,'GL_APPLE_sync');
   if GL_APPLE_texture_2D_limited_npot=false then _writetostrings(false,'GL_APPLE_texture_2D_limited_npot') else _writetostrings(true,'GL_APPLE_texture_2D_limited_npot');
   if GL_APPLE_texture_format_BGRA8888=false then _writetostrings(false,'GL_APPLE_texture_format_BGRA8888') else _writetostrings(true,'GL_APPLE_texture_format_BGRA8888');
   if GL_APPLE_texture_max_level=false then _writetostrings(false,'GL_APPLE_texture_max_level') else _writetostrings(true,'GL_APPLE_texture_max_level');
   if GL_ARM_rgba8=false then _writetostrings(false,'GL_ARM_rgba8') else _writetostrings(true,'GL_ARM_rgba8');
   if GL_EXT_blend_minmax=false then _writetostrings(false,'GL_EXT_blend_minmax') else _writetostrings(true,'GL_EXT_blend_minmax');
   if GL_EXT_debug_marker=false then _writetostrings(false,'GL_EXT_debug_marker') else _writetostrings(true,'GL_EXT_debug_marker');
   if GL_EXT_discard_framebuffer=false then _writetostrings(false,'GL_EXT_discard_framebuffer') else _writetostrings(true,'GL_EXT_discard_framebuffer');
   if GL_EXT_map_buffer_range=false then _writetostrings(false,'GL_EXT_map_buffer_range') else _writetostrings(true,'GL_EXT_map_buffer_range');
   if GL_EXT_multi_draw_arrays=false then _writetostrings(false,'GL_EXT_multi_draw_arrays') else _writetostrings(true,'GL_EXT_multi_draw_arrays');
   if GL_EXT_multisampled_render_to_texture=false then _writetostrings(false,'GL_EXT_multisampled_render_to_texture') else _writetostrings(true,'GL_EXT_multisampled_render_to_texture');
   if GL_EXT_read_format_bgra=false then _writetostrings(false,'GL_EXT_read_format_bgra') else _writetostrings(true,'GL_EXT_read_format_bgra');
   if GL_EXT_robustness=false then _writetostrings(false,'GL_EXT_robustness') else _writetostrings(true,'GL_EXT_robustness');
   if GL_EXT_sRGB=false then _writetostrings(false,'GL_EXT_sRGB') else _writetostrings(true,'GL_EXT_sRGB');
   if GL_EXT_texture_compression_dxt1=false then _writetostrings(false,'GL_EXT_texture_compression_dxt1') else _writetostrings(true,'GL_EXT_texture_compression_dxt1');
   if GL_EXT_texture_filter_anisotropic=false then _writetostrings(false,'GL_EXT_texture_filter_anisotropic') else _writetostrings(true,'GL_EXT_texture_filter_anisotropic');
   if GL_EXT_texture_format_BGRA8888=false then _writetostrings(false,'GL_EXT_texture_format_BGRA8888') else _writetostrings(true,'GL_EXT_texture_format_BGRA8888');
   if GL_EXT_texture_lod_bias=false then _writetostrings(false,'GL_EXT_texture_lod_bias') else _writetostrings(true,'GL_EXT_texture_lod_bias');
   if GL_EXT_texture_storage=false then _writetostrings(false,'GL_EXT_texture_storage') else _writetostrings(true,'GL_EXT_texture_storage');
   if GL_IMG_multisampled_render_to_texture=false then _writetostrings(false,'GL_IMG_multisampled_render_to_texture') else _writetostrings(true,'GL_IMG_multisampled_render_to_texture');
   if GL_IMG_read_format=false then _writetostrings(false,'GL_IMG_read_format') else _writetostrings(true,'GL_IMG_read_format');
   if GL_IMG_texture_compression_pvrtc=false then _writetostrings(false,'GL_IMG_texture_compression_pvrtc') else _writetostrings(true,'GL_IMG_texture_compression_pvrtc');
   if GL_IMG_texture_env_enhanced_fixed_function=false then _writetostrings(false,'GL_IMG_texture_env_enhanced_fixed_function') else _writetostrings(true,'GL_IMG_texture_env_enhanced_fixed_function');
   if GL_IMG_user_clip_plane=false then _writetostrings(false,'GL_IMG_user_clip_plane') else _writetostrings(true,'GL_IMG_user_clip_plane');
   if GL_KHR_debug=false then _writetostrings(false,'GL_KHR_debug') else _writetostrings(true,'GL_KHR_debug');
   if GL_NV_fence=false then _writetostrings(false,'GL_NV_fence') else _writetostrings(true,'GL_NV_fence');
   if GL_OES_EGL_image=false then _writetostrings(false,'GL_OES_EGL_image') else _writetostrings(true,'GL_OES_EGL_image');
   if GL_OES_EGL_image_external=false then _writetostrings(false,'GL_OES_EGL_image_external') else _writetostrings(true,'GL_OES_EGL_image_external');
   if GL_OES_blend_equation_separate=false then _writetostrings(false,'GL_OES_blend_equation_separate') else _writetostrings(true,'GL_OES_blend_equation_separate');
   if GL_OES_blend_func_separate=false then _writetostrings(false,'GL_OES_blend_func_separate') else _writetostrings(true,'GL_OES_blend_func_separate');
   if GL_OES_blend_subtract=false then _writetostrings(false,'GL_OES_blend_subtract') else _writetostrings(true,'GL_OES_blend_subtract');
   if GL_OES_byte_coordinates=false then _writetostrings(false,'GL_OES_byte_coordinates') else _writetostrings(true,'GL_OES_byte_coordinates');
   if GL_OES_compressed_ETC1_RGB8_sub_texture=false then _writetostrings(false,'GL_OES_compressed_ETC1_RGB8_sub_texture') else _writetostrings(true,'GL_OES_compressed_ETC1_RGB8_sub_texture');
   if GL_OES_compressed_ETC1_RGB8_texture=false then _writetostrings(false,'GL_OES_compressed_ETC1_RGB8_texture') else _writetostrings(true,'GL_OES_compressed_ETC1_RGB8_texture');
   if GL_OES_compressed_paletted_texture=false then _writetostrings(false,'GL_OES_compressed_paletted_texture') else _writetostrings(true,'GL_OES_compressed_paletted_texture');
   if GL_OES_depth24=false then _writetostrings(false,'GL_OES_depth24') else _writetostrings(true,'GL_OES_depth24');
   if GL_OES_depth32=false then _writetostrings(false,'GL_OES_depth32') else _writetostrings(true,'GL_OES_depth32');
   if GL_OES_draw_texture=false then _writetostrings(false,'GL_OES_draw_texture') else _writetostrings(true,'GL_OES_draw_texture');
   if GL_OES_element_index_uint=false then _writetostrings(false,'GL_OES_element_index_uint') else _writetostrings(true,'GL_OES_element_index_uint');
   if GL_OES_extended_matrix_palette=false then _writetostrings(false,'GL_OES_extended_matrix_palette') else _writetostrings(true,'GL_OES_extended_matrix_palette');
   if GL_OES_fbo_render_mipmap=false then _writetostrings(false,'GL_OES_fbo_render_mipmap') else _writetostrings(true,'GL_OES_fbo_render_mipmap');
   if GL_OES_fixed_point=false then _writetostrings(false,'GL_OES_fixed_point') else _writetostrings(true,'GL_OES_fixed_point');
   if GL_OES_framebuffer_object=false then _writetostrings(false,'GL_OES_framebuffer_object') else _writetostrings(true,'GL_OES_framebuffer_object');
   if GL_OES_mapbuffer=false then _writetostrings(false,'GL_OES_mapbuffer') else _writetostrings(true,'GL_OES_mapbuffer');
   if GL_OES_matrix_get=false then _writetostrings(false,'GL_OES_matrix_get') else _writetostrings(true,'GL_OES_matrix_get');
   if GL_OES_matrix_palette=false then _writetostrings(false,'GL_OES_matrix_palette') else _writetostrings(true,'GL_OES_matrix_palette');
   if GL_OES_packed_depth_stencil=false then _writetostrings(false,'GL_OES_packed_depth_stencil') else _writetostrings(true,'GL_OES_packed_depth_stencil');
   if GL_OES_point_size_array=false then _writetostrings(false,'GL_OES_point_size_array') else _writetostrings(true,'GL_OES_point_size_array');
   if GL_OES_point_sprite=false then _writetostrings(false,'GL_OES_point_sprite') else _writetostrings(true,'GL_OES_point_sprite');
   if GL_OES_query_matrix=false then _writetostrings(false,'GL_OES_query_matrix') else _writetostrings(true,'GL_OES_query_matrix');
   if GL_OES_read_format=false then _writetostrings(false,'GL_OES_read_format') else _writetostrings(true,'GL_OES_read_format');
   if GL_OES_required_internalformat=false then _writetostrings(false,'GL_OES_required_internalformat') else _writetostrings(true,'GL_OES_required_internalformat');
   if GL_OES_rgb8_rgba8=false then _writetostrings(false,'GL_OES_rgb8_rgba8') else _writetostrings(true,'GL_OES_rgb8_rgba8');
   if GL_OES_single_precision=false then _writetostrings(false,'GL_OES_single_precision') else _writetostrings(true,'GL_OES_single_precision');
   if GL_OES_stencil1=false then _writetostrings(false,'GL_OES_stencil1') else _writetostrings(true,'GL_OES_stencil1');
   if GL_OES_stencil4=false then _writetostrings(false,'GL_OES_stencil4') else _writetostrings(true,'GL_OES_stencil4');
   if GL_OES_stencil8=false then _writetostrings(false,'GL_OES_stencil8') else _writetostrings(true,'GL_OES_stencil8');
   if GL_OES_stencil_wrap=false then _writetostrings(false,'GL_OES_stencil_wrap') else _writetostrings(true,'GL_OES_stencil_wrap');
   if GL_OES_surfaceless_context=false then _writetostrings(false,'GL_OES_surfaceless_context') else _writetostrings(true,'GL_OES_surfaceless_context');
   if GL_OES_texture_cube_map=false then _writetostrings(false,'GL_OES_texture_cube_map') else _writetostrings(true,'GL_OES_texture_cube_map');
   if GL_OES_texture_env_crossbar=false then _writetostrings(false,'GL_OES_texture_env_crossbar') else _writetostrings(true,'GL_OES_texture_env_crossbar');
   if GL_OES_texture_mirrored_repeat=false then _writetostrings(false,'GL_OES_texture_mirrored_repeat') else _writetostrings(true,'GL_OES_texture_mirrored_repeat');
   if GL_OES_texture_npot=false then _writetostrings(false,'GL_OES_texture_npot') else _writetostrings(true,'GL_OES_texture_npot');
   if GL_OES_vertex_array_object=false then _writetostrings(false,'GL_OES_vertex_array_object') else _writetostrings(true,'GL_OES_vertex_array_object');
   if GL_QCOM_driver_control=false then _writetostrings(false,'GL_QCOM_driver_control') else _writetostrings(true,'GL_QCOM_driver_control');
   if GL_QCOM_extended_get=false then _writetostrings(false,'GL_QCOM_extended_get') else _writetostrings(true,'GL_QCOM_extended_get');
   if GL_QCOM_extended_get2=false then _writetostrings(false,'GL_QCOM_extended_get2') else _writetostrings(true,'GL_QCOM_extended_get2');
   if GL_QCOM_perfmon_global_mode=false then _writetostrings(false,'GL_QCOM_perfmon_global_mode') else _writetostrings(true,'GL_QCOM_perfmon_global_mode');
   if GL_QCOM_tiled_rendering=false then _writetostrings(false,'GL_QCOM_tiled_rendering') else _writetostrings(true,'GL_QCOM_tiled_rendering');
   if GL_QCOM_writeonly_rendering=false then _writetostrings(false,'GL_QCOM_writeonly_rendering') else _writetostrings(true,'GL_QCOM_writeonly_rendering');
 
  //---- EGL Extensions -------------------
   if EGL_ANDROID_blob_cache=false then _writetostrings(false,'EGL_ANDROID_blob_cache') else _writetostrings(true,'EGL_ANDROID_blob_cache');
   if EGL_ANDROID_create_native_client_buffer=false then _writetostrings(false,'EGL_ANDROID_create_native_client_buffer') else _writetostrings(true,'EGL_ANDROID_create_native_client_buffer');
   if EGL_ANDROID_framebuffer_target=false then _writetostrings(false,'EGL_ANDROID_framebuffer_target') else _writetostrings(true,'EGL_ANDROID_framebuffer_target');
   if EGL_ANDROID_get_native_client_buffer=false then _writetostrings(false,'EGL_ANDROID_get_native_client_buffer') else _writetostrings(true,'EGL_ANDROID_get_native_client_buffer');
   if EGL_ANDROID_front_buffer_auto_refresh=false then _writetostrings(false,'EGL_ANDROID_front_buffer_auto_refresh') else _writetostrings(true,'EGL_ANDROID_front_buffer_auto_refresh');
   if EGL_ANDROID_image_native_buffer=false then _writetostrings(false,'EGL_ANDROID_image_native_buffer') else _writetostrings(true,'EGL_ANDROID_image_native_buffer');
   if EGL_ANDROID_native_fence_sync=false then _writetostrings(false,'EGL_ANDROID_native_fence_sync') else _writetostrings(true,'EGL_ANDROID_native_fence_sync');
   if EGL_ANDROID_presentation_time=false then _writetostrings(false,'EGL_ANDROID_presentation_time') else _writetostrings(true,'EGL_ANDROID_presentation_time');
   if EGL_ANDROID_get_frame_timestamps=false then _writetostrings(false,'EGL_ANDROID_get_frame_timestamps') else _writetostrings(true,'EGL_ANDROID_get_frame_timestamps');
   if EGL_ANDROID_recordable=false then _writetostrings(false,'EGL_ANDROID_recordable') else _writetostrings(true,'EGL_ANDROID_recordable');
   if EGL_ANDROID_GLES_layers=false then _writetostrings(false,'EGL_ANDROID_GLES_layers') else _writetostrings(true,'EGL_ANDROID_GLES_layers');
   if EGL_ANGLE_d3d_share_handle_client_buffer=false then _writetostrings(false,'EGL_ANGLE_d3d_share_handle_client_buffer') else _writetostrings(true,'EGL_ANGLE_d3d_share_handle_client_buffer');
   if EGL_ANGLE_device_d3d=false then _writetostrings(false,'EGL_ANGLE_device_d3d') else _writetostrings(true,'EGL_ANGLE_device_d3d');
   if EGL_ANGLE_query_surface_pointer=false then _writetostrings(false,'EGL_ANGLE_query_surface_pointer') else _writetostrings(true,'EGL_ANGLE_query_surface_pointer');
   if EGL_ANGLE_surface_d3d_texture_2d_share_handle=false then _writetostrings(false,'EGL_ANGLE_surface_d3d_texture_2d_share_handle') else _writetostrings(true,'EGL_ANGLE_surface_d3d_texture_2d_share_handle');
   if EGL_ANGLE_window_fixed_size=false then _writetostrings(false,'EGL_ANGLE_window_fixed_size') else _writetostrings(true,'EGL_ANGLE_window_fixed_size');
   if EGL_ARM_implicit_external_sync=false then _writetostrings(false,'EGL_ARM_implicit_external_sync') else _writetostrings(true,'EGL_ARM_implicit_external_sync');
   if EGL_ARM_pixmap_multisample_discard=false then _writetostrings(false,'EGL_ARM_pixmap_multisample_discard') else _writetostrings(true,'EGL_ARM_pixmap_multisample_discard');
   if EGL_EXT_buffer_age=false then _writetostrings(false,'EGL_EXT_buffer_age') else _writetostrings(true,'EGL_EXT_buffer_age');
   if EGL_EXT_client_extensions=false then _writetostrings(false,'EGL_EXT_client_extensions') else _writetostrings(true,'EGL_EXT_client_extensions');
   if EGL_EXT_client_sync=false then _writetostrings(false,'EGL_EXT_client_sync') else _writetostrings(true,'EGL_EXT_client_sync');
   if EGL_EXT_create_context_robustness=false then _writetostrings(false,'EGL_EXT_create_context_robustness') else _writetostrings(true,'EGL_EXT_create_context_robustness');
   if EGL_EXT_device_base=false then _writetostrings(false,'EGL_EXT_device_base') else _writetostrings(true,'EGL_EXT_device_base');
   if EGL_EXT_device_drm=false then _writetostrings(false,'EGL_EXT_device_drm') else _writetostrings(true,'EGL_EXT_device_drm');
   if EGL_EXT_device_enumeration=false then _writetostrings(false,'EGL_EXT_device_enumeration') else _writetostrings(true,'EGL_EXT_device_enumeration');
   if EGL_EXT_device_openwf=false then _writetostrings(false,'EGL_EXT_device_openwf') else _writetostrings(true,'EGL_EXT_device_openwf');
   if EGL_EXT_device_query=false then _writetostrings(false,'EGL_EXT_device_query') else _writetostrings(true,'EGL_EXT_device_query');
   if EGL_EXT_gl_colorspace_bt2020_linear=false then _writetostrings(false,'EGL_EXT_gl_colorspace_bt2020_linear') else _writetostrings(true,'EGL_EXT_gl_colorspace_bt2020_linear');
   if EGL_EXT_gl_colorspace_bt2020_pq=false then _writetostrings(false,'EGL_EXT_gl_colorspace_bt2020_pq') else _writetostrings(true,'EGL_EXT_gl_colorspace_bt2020_pq');
   if EGL_EXT_gl_colorspace_scrgb=false then _writetostrings(false,'EGL_EXT_gl_colorspace_scrgb') else _writetostrings(true,'EGL_EXT_gl_colorspace_scrgb');
   if EGL_EXT_gl_colorspace_scrgb_linear=false then _writetostrings(false,'EGL_EXT_gl_colorspace_scrgb_linear') else _writetostrings(true,'EGL_EXT_gl_colorspace_scrgb_linear');
   if EGL_EXT_gl_colorspace_display_p3_linear=false then _writetostrings(false,'EGL_EXT_gl_colorspace_display_p3_linear') else _writetostrings(true,'EGL_EXT_gl_colorspace_display_p3_linear');
   if EGL_EXT_gl_colorspace_display_p3=false then _writetostrings(false,'EGL_EXT_gl_colorspace_display_p3') else _writetostrings(true,'EGL_EXT_gl_colorspace_display_p3');
   if EGL_EXT_gl_colorspace_display_p3_passthrough=false then _writetostrings(false,'EGL_EXT_gl_colorspace_display_p3_passthrough') else _writetostrings(true,'EGL_EXT_gl_colorspace_display_p3_passthrough');
   if EGL_EXT_image_dma_buf_import=false then _writetostrings(false,'EGL_EXT_image_dma_buf_import') else _writetostrings(true,'EGL_EXT_image_dma_buf_import');
   if EGL_EXT_image_dma_buf_import_modifiers=false then _writetostrings(false,'EGL_EXT_image_dma_buf_import_modifiers') else _writetostrings(true,'EGL_EXT_image_dma_buf_import_modifiers');
   if EGL_EXT_image_gl_colorspace=false then _writetostrings(false,'EGL_EXT_image_gl_colorspace') else _writetostrings(true,'EGL_EXT_image_gl_colorspace');
   if EGL_EXT_multiview_window=false then _writetostrings(false,'EGL_EXT_multiview_window') else _writetostrings(true,'EGL_EXT_multiview_window');
   if EGL_EXT_output_base=false then _writetostrings(false,'EGL_EXT_output_base') else _writetostrings(true,'EGL_EXT_output_base');
   if EGL_EXT_output_drm=false then _writetostrings(false,'EGL_EXT_output_drm') else _writetostrings(true,'EGL_EXT_output_drm');
   if EGL_EXT_output_openwf=false then _writetostrings(false,'EGL_EXT_output_openwf') else _writetostrings(true,'EGL_EXT_output_openwf');
   if EGL_EXT_pixel_format_float=false then _writetostrings(false,'EGL_EXT_pixel_format_float') else _writetostrings(true,'EGL_EXT_pixel_format_float');
   if EGL_EXT_platform_base=false then _writetostrings(false,'EGL_EXT_platform_base') else _writetostrings(true,'EGL_EXT_platform_base');
   if EGL_EXT_platform_device=false then _writetostrings(false,'EGL_EXT_platform_device') else _writetostrings(true,'EGL_EXT_platform_device');
   if EGL_EXT_platform_wayland=false then _writetostrings(false,'EGL_EXT_platform_wayland') else _writetostrings(true,'EGL_EXT_platform_wayland');
   if EGL_EXT_platform_x11=false then _writetostrings(false,'EGL_EXT_platform_x11') else _writetostrings(true,'EGL_EXT_platform_x11');
   if EGL_EXT_protected_content=false then _writetostrings(false,'EGL_EXT_protected_content') else _writetostrings(true,'EGL_EXT_protected_content');
   if EGL_EXT_protected_surface=false then _writetostrings(false,'EGL_EXT_protected_surface') else _writetostrings(true,'EGL_EXT_protected_surface');
   if EGL_EXT_stream_consumer_egloutput=false then _writetostrings(false,'EGL_EXT_stream_consumer_egloutput') else _writetostrings(true,'EGL_EXT_stream_consumer_egloutput');
   if EGL_EXT_surface_SMPTE2086_metadata=false then _writetostrings(false,'EGL_EXT_surface_SMPTE2086_metadata') else _writetostrings(true,'EGL_EXT_surface_SMPTE2086_metadata');
   if EGL_EXT_swap_buffers_with_damage=false then _writetostrings(false,'EGL_EXT_swap_buffers_with_damage') else _writetostrings(true,'EGL_EXT_swap_buffers_with_damage');
   if EGL_EXT_sync_reuse=false then _writetostrings(false,'EGL_EXT_sync_reuse') else _writetostrings(true,'EGL_EXT_sync_reuse');
   if EGL_EXT_yuv_surface=false then _writetostrings(false,'EGL_EXT_yuv_surface') else _writetostrings(true,'EGL_EXT_yuv_surface');
   if EGL_HI_clientpixmap=false then _writetostrings(false,'EGL_HI_clientpixmap') else _writetostrings(true,'EGL_HI_clientpixmap');
   if EGL_HI_colorformats=false then _writetostrings(false,'EGL_HI_colorformats') else _writetostrings(true,'EGL_HI_colorformats');
   if EGL_IMG_context_priority=false then _writetostrings(false,'EGL_IMG_context_priority') else _writetostrings(true,'EGL_IMG_context_priority');
   if EGL_IMG_image_plane_attribs=false then _writetostrings(false,'EGL_IMG_image_plane_attribs') else _writetostrings(true,'EGL_IMG_image_plane_attribs');
   if EGL_KHR_cl_event=false then _writetostrings(false,'EGL_KHR_cl_event') else _writetostrings(true,'EGL_KHR_cl_event');
   if EGL_KHR_cl_event2=false then _writetostrings(false,'EGL_KHR_cl_event2') else _writetostrings(true,'EGL_KHR_cl_event2');
   if EGL_KHR_config_attribs=false then _writetostrings(false,'EGL_KHR_config_attribs') else _writetostrings(true,'EGL_KHR_config_attribs');
   if EGL_KHR_client_get_all_proc_addresses=false then _writetostrings(false,'EGL_KHR_client_get_all_proc_addresses') else _writetostrings(true,'EGL_KHR_client_get_all_proc_addresses');
   if EGL_KHR_context_flush_control=false then _writetostrings(false,'EGL_KHR_context_flush_control') else _writetostrings(true,'EGL_KHR_context_flush_control');
   if EGL_KHR_create_context=false then _writetostrings(false,'EGL_KHR_create_context') else _writetostrings(true,'EGL_KHR_create_context');
   if EGL_KHR_create_context_no_error=false then _writetostrings(false,'EGL_KHR_create_context_no_error') else _writetostrings(true,'EGL_KHR_create_context_no_error');
   if EGL_KHR_debug=false then _writetostrings(false,'EGL_KHR_debug') else _writetostrings(true,'EGL_KHR_debug');
   if EGL_KHR_display_reference=false then _writetostrings(false,'EGL_KHR_display_reference') else _writetostrings(true,'EGL_KHR_display_reference');
   if EGL_KHR_fence_sync=false then _writetostrings(false,'EGL_KHR_fence_sync') else _writetostrings(true,'EGL_KHR_fence_sync');
   if EGL_KHR_get_all_proc_addresses=false then _writetostrings(false,'EGL_KHR_get_all_proc_addresses') else _writetostrings(true,'EGL_KHR_get_all_proc_addresses');
   if EGL_KHR_gl_colorspace=false then _writetostrings(false,'EGL_KHR_gl_colorspace') else _writetostrings(true,'EGL_KHR_gl_colorspace');
   if EGL_KHR_gl_renderbuffer_image=false then _writetostrings(false,'EGL_KHR_gl_renderbuffer_image') else _writetostrings(true,'EGL_KHR_gl_renderbuffer_image');
   if EGL_KHR_gl_texture_2D_image=false then _writetostrings(false,'EGL_KHR_gl_texture_2D_image') else _writetostrings(true,'EGL_KHR_gl_texture_2D_image');
   if EGL_KHR_gl_texture_3D_image=false then _writetostrings(false,'EGL_KHR_gl_texture_3D_image') else _writetostrings(true,'EGL_KHR_gl_texture_3D_image');
   if EGL_KHR_gl_texture_cubemap_image=false then _writetostrings(false,'EGL_KHR_gl_texture_cubemap_image') else _writetostrings(true,'EGL_KHR_gl_texture_cubemap_image');
   if EGL_KHR_image=false then _writetostrings(false,'EGL_KHR_image') else _writetostrings(true,'EGL_KHR_image');
   if EGL_KHR_image_base=false then _writetostrings(false,'EGL_KHR_image_base') else _writetostrings(true,'EGL_KHR_image_base');
   if EGL_KHR_image_pixmap=false then _writetostrings(false,'EGL_KHR_image_pixmap') else _writetostrings(true,'EGL_KHR_image_pixmap');
   if EGL_KHR_lock_surface=false then _writetostrings(false,'EGL_KHR_lock_surface') else _writetostrings(true,'EGL_KHR_lock_surface');
   if EGL_KHR_lock_surface2=false then _writetostrings(false,'EGL_KHR_lock_surface2') else _writetostrings(true,'EGL_KHR_lock_surface2');
   if EGL_KHR_lock_surface3=false then _writetostrings(false,'EGL_KHR_lock_surface3') else _writetostrings(true,'EGL_KHR_lock_surface3');
   if EGL_KHR_mutable_render_buffer=false then _writetostrings(false,'EGL_KHR_mutable_render_buffer') else _writetostrings(true,'EGL_KHR_mutable_render_buffer');
   if EGL_KHR_no_config_context=false then _writetostrings(false,'EGL_KHR_no_config_context') else _writetostrings(true,'EGL_KHR_no_config_context');
   if EGL_KHR_partial_update=false then _writetostrings(false,'EGL_KHR_partial_update') else _writetostrings(true,'EGL_KHR_partial_update');
   if EGL_KHR_platform_android=false then _writetostrings(false,'EGL_KHR_platform_android') else _writetostrings(true,'EGL_KHR_platform_android');
   if EGL_KHR_platform_gbm=false then _writetostrings(false,'EGL_KHR_platform_gbm') else _writetostrings(true,'EGL_KHR_platform_gbm');
   if EGL_KHR_platform_wayland=false then _writetostrings(false,'EGL_KHR_platform_wayland') else _writetostrings(true,'EGL_KHR_platform_wayland');
   if EGL_KHR_platform_x11=false then _writetostrings(false,'EGL_KHR_platform_x11') else _writetostrings(true,'EGL_KHR_platform_x11');
   if EGL_KHR_reusable_sync=false then _writetostrings(false,'EGL_KHR_reusable_sync') else _writetostrings(true,'EGL_KHR_reusable_sync');
   if EGL_KHR_stream=false then _writetostrings(false,'EGL_KHR_stream') else _writetostrings(true,'EGL_KHR_stream');
   if EGL_KHR_stream_attrib=false then _writetostrings(false,'EGL_KHR_stream_attrib') else _writetostrings(true,'EGL_KHR_stream_attrib');
   if EGL_KHR_stream_consumer_gltexture=false then _writetostrings(false,'EGL_KHR_stream_consumer_gltexture') else _writetostrings(true,'EGL_KHR_stream_consumer_gltexture');
   if EGL_KHR_stream_cross_process_fd=false then _writetostrings(false,'EGL_KHR_stream_cross_process_fd') else _writetostrings(true,'EGL_KHR_stream_cross_process_fd');
   if EGL_KHR_stream_fifo=false then _writetostrings(false,'EGL_KHR_stream_fifo') else _writetostrings(true,'EGL_KHR_stream_fifo');
   if EGL_KHR_stream_producer_aldatalocator=false then _writetostrings(false,'EGL_KHR_stream_producer_aldatalocator') else _writetostrings(true,'EGL_KHR_stream_producer_aldatalocator');
   if EGL_KHR_stream_producer_eglsurface=false then _writetostrings(false,'EGL_KHR_stream_producer_eglsurface') else _writetostrings(true,'EGL_KHR_stream_producer_eglsurface');
   if EGL_KHR_surfaceless_context=false then _writetostrings(false,'EGL_KHR_surfaceless_context') else _writetostrings(true,'EGL_KHR_surfaceless_context');
   if EGL_KHR_swap_buffers_with_damage=false then _writetostrings(false,'EGL_KHR_swap_buffers_with_damage') else _writetostrings(true,'EGL_KHR_swap_buffers_with_damage');
   if EGL_KHR_vg_parent_image=false then _writetostrings(false,'EGL_KHR_vg_parent_image') else _writetostrings(true,'EGL_KHR_vg_parent_image');
   if EGL_KHR_wait_sync=false then _writetostrings(false,'EGL_KHR_wait_sync') else _writetostrings(true,'EGL_KHR_wait_sync');
   if EGL_MESA_drm_image=false then _writetostrings(false,'EGL_MESA_drm_image') else _writetostrings(true,'EGL_MESA_drm_image');
   if EGL_MESA_image_dma_buf_export=false then _writetostrings(false,'EGL_MESA_image_dma_buf_export') else _writetostrings(true,'EGL_MESA_image_dma_buf_export');
   if EGL_MESA_platform_gbm=false then _writetostrings(false,'EGL_MESA_platform_gbm') else _writetostrings(true,'EGL_MESA_platform_gbm');
   if EGL_MESA_platform_surfaceless=false then _writetostrings(false,'EGL_MESA_platform_surfaceless') else _writetostrings(true,'EGL_MESA_platform_surfaceless');
   if EGL_MESA_query_driver=false then _writetostrings(false,'EGL_MESA_query_driver') else _writetostrings(true,'EGL_MESA_query_driver');
   if EGL_NOK_swap_region=false then _writetostrings(false,'EGL_NOK_swap_region') else _writetostrings(true,'EGL_NOK_swap_region');
   if EGL_NOK_swap_region2=false then _writetostrings(false,'EGL_NOK_swap_region2') else _writetostrings(true,'EGL_NOK_swap_region2');
   if EGL_NOK_texture_from_pixmap=false then _writetostrings(false,'EGL_NOK_texture_from_pixmap') else _writetostrings(true,'EGL_NOK_texture_from_pixmap');
   if EGL_NV_3dvision_surface=false then _writetostrings(false,'EGL_NV_3dvision_surface') else _writetostrings(true,'EGL_NV_3dvision_surface');
   if EGL_NV_coverage_sample=false then _writetostrings(false,'EGL_NV_coverage_sample') else _writetostrings(true,'EGL_NV_coverage_sample');
   if EGL_NV_context_priority_realtime=false then _writetostrings(false,'EGL_NV_context_priority_realtime') else _writetostrings(true,'EGL_NV_context_priority_realtime');
   if EGL_NV_coverage_sample_resolve=false then _writetostrings(false,'EGL_NV_coverage_sample_resolve') else _writetostrings(true,'EGL_NV_coverage_sample_resolve');
   if EGL_NV_cuda_event=false then _writetostrings(false,'EGL_NV_cuda_event') else _writetostrings(true,'EGL_NV_cuda_event');
   if EGL_NV_depth_nonlinear=false then _writetostrings(false,'EGL_NV_depth_nonlinear') else _writetostrings(true,'EGL_NV_depth_nonlinear');
   if EGL_NV_device_cuda=false then _writetostrings(false,'EGL_NV_device_cuda') else _writetostrings(true,'EGL_NV_device_cuda');
   if EGL_NV_native_query=false then _writetostrings(false,'EGL_NV_native_query') else _writetostrings(true,'EGL_NV_native_query');
   if EGL_NV_post_convert_rounding=false then _writetostrings(false,'EGL_NV_post_convert_rounding') else _writetostrings(true,'EGL_NV_post_convert_rounding');
   if EGL_NV_post_sub_buffer=false then _writetostrings(false,'EGL_NV_post_sub_buffer') else _writetostrings(true,'EGL_NV_post_sub_buffer');
   if EGL_NV_quadruple_buffer=false then _writetostrings(false,'EGL_NV_quadruple_buffer') else _writetostrings(true,'EGL_NV_quadruple_buffer');
   if EGL_NV_robustness_video_memory_purge=false then _writetostrings(false,'EGL_NV_robustness_video_memory_purge') else _writetostrings(true,'EGL_NV_robustness_video_memory_purge');
   if EGL_NV_stream_consumer_gltexture_yuv=false then _writetostrings(false,'EGL_NV_stream_consumer_gltexture_yuv') else _writetostrings(true,'EGL_NV_stream_consumer_gltexture_yuv');
   if EGL_NV_stream_cross_object=false then _writetostrings(false,'EGL_NV_stream_cross_object') else _writetostrings(true,'EGL_NV_stream_cross_object');
   if EGL_NV_stream_cross_display=false then _writetostrings(false,'EGL_NV_stream_cross_display') else _writetostrings(true,'EGL_NV_stream_cross_display');
   if EGL_NV_stream_cross_partition=false then _writetostrings(false,'EGL_NV_stream_cross_partition') else _writetostrings(true,'EGL_NV_stream_cross_partition');
   if EGL_NV_stream_cross_process=false then _writetostrings(false,'EGL_NV_stream_cross_process') else _writetostrings(true,'EGL_NV_stream_cross_process');
   if EGL_NV_stream_cross_system=false then _writetostrings(false,'EGL_NV_stream_cross_system') else _writetostrings(true,'EGL_NV_stream_cross_system');
   if EGL_NV_stream_dma=false then _writetostrings(false,'EGL_NV_stream_dma') else _writetostrings(true,'EGL_NV_stream_dma');
   if EGL_NV_stream_consumer_eglimage=false then _writetostrings(false,'EGL_NV_stream_consumer_eglimage') else _writetostrings(true,'EGL_NV_stream_consumer_eglimage');
   if EGL_NV_stream_fifo_next=false then _writetostrings(false,'EGL_NV_stream_fifo_next') else _writetostrings(true,'EGL_NV_stream_fifo_next');
   if EGL_NV_stream_fifo_synchronous=false then _writetostrings(false,'EGL_NV_stream_fifo_synchronous') else _writetostrings(true,'EGL_NV_stream_fifo_synchronous');
   if EGL_NV_stream_flush=false then _writetostrings(false,'EGL_NV_stream_flush') else _writetostrings(true,'EGL_NV_stream_flush');
   if EGL_NV_stream_frame_limits=false then _writetostrings(false,'EGL_NV_stream_frame_limits') else _writetostrings(true,'EGL_NV_stream_frame_limits');
   if EGL_NV_stream_metadata=false then _writetostrings(false,'EGL_NV_stream_metadata') else _writetostrings(true,'EGL_NV_stream_metadata');
   if EGL_NV_stream_reset=false then _writetostrings(false,'EGL_NV_stream_reset') else _writetostrings(true,'EGL_NV_stream_reset');
   if EGL_NV_stream_remote=false then _writetostrings(false,'EGL_NV_stream_remote') else _writetostrings(true,'EGL_NV_stream_remote');
   if EGL_NV_stream_socket=false then _writetostrings(false,'EGL_NV_stream_socket') else _writetostrings(true,'EGL_NV_stream_socket');
   if EGL_NV_stream_socket_inet=false then _writetostrings(false,'EGL_NV_stream_socket_inet') else _writetostrings(true,'EGL_NV_stream_socket_inet');
   if EGL_NV_stream_socket_unix=false then _writetostrings(false,'EGL_NV_stream_socket_unix') else _writetostrings(true,'EGL_NV_stream_socket_unix');
   if EGL_NV_stream_sync=false then _writetostrings(false,'EGL_NV_stream_sync') else _writetostrings(true,'EGL_NV_stream_sync');
   if EGL_NV_sync=false then _writetostrings(false,'EGL_NV_sync') else _writetostrings(true,'EGL_NV_sync');
   if EGL_NV_system_time=false then _writetostrings(false,'EGL_NV_system_time') else _writetostrings(true,'EGL_NV_system_time');
   if EGL_NV_triple_buffer=false then _writetostrings(false,'EGL_NV_triple_buffer') else _writetostrings(true,'EGL_NV_triple_buffer');
   if EGL_TIZEN_image_native_buffer=false then _writetostrings(false,'EGL_TIZEN_image_native_buffer') else _writetostrings(true,'EGL_TIZEN_image_native_buffer');
   if EGL_TIZEN_image_native_surface=false then _writetostrings(false,'EGL_TIZEN_image_native_surface') else _writetostrings(true,'EGL_TIZEN_image_native_surface');
   if EGL_EXT_compositor=false then _writetostrings(false,'EGL_EXT_compositor') else _writetostrings(true,'EGL_EXT_compositor');
   if EGL_EXT_surface_CTA861_3_metadata=false then _writetostrings(false,'EGL_EXT_surface_CTA861_3_metadata') else _writetostrings(true,'EGL_EXT_surface_CTA861_3_metadata');
   if EGL_EXT_image_implicit_sync_control=false then _writetostrings(false,'EGL_EXT_image_implicit_sync_control') else _writetostrings(true,'EGL_EXT_image_implicit_sync_control');
   if EGL_EXT_bind_to_front=false then _writetostrings(false,'EGL_EXT_bind_to_front') else _writetostrings(true,'EGL_EXT_bind_to_front');
   if EGL_NV_stream_origin=false then _writetostrings(false,'EGL_NV_stream_origin') else _writetostrings(true,'EGL_NV_stream_origin');
   if EGL_WL_bind_wayland_display=false then _writetostrings(false,'EGL_WL_bind_wayland_display') else _writetostrings(true,'EGL_WL_bind_wayland_display');
   if EGL_WL_create_wayland_buffer_from_image=false then _writetostrings(false,'EGL_WL_create_wayland_buffer_from_image') else _writetostrings(true,'EGL_WL_create_wayland_buffer_from_image');
   if EGL_ARM_image_format=false then _writetostrings(false,'EGL_ARM_image_format') else _writetostrings(true,'EGL_ARM_image_format');
   if EGL_EXT_device_query_name=false then _writetostrings(false,'EGL_EXT_device_query_name') else _writetostrings(true,'EGL_EXT_device_query_name');
 
 
   aOutStrings.EndUpdate;

end;

end.
